jQuery(function($) {
  const metaBoxQuickBuy = new Vue({
    el: '#wcdpi-quick-buy-meta-box-content',
    data: {
      orderId: null,
      loading: false,
      harmonizedLabel: false,
      selected: false
    },
    methods: {
      selectLabel: function(e) {
        metaBoxQuickBuy.loading = true;
        metaBoxQuickBuy.selected = false;

        const select = e.target;
        const prodwsId = parseInt(select.options[select.selectedIndex].value);

        $.ajax({
          url: ajaxurl,
          type: 'POST',
          dataType: 'JSON',
          data: {
            action: 'wcdpi_quick_buy_change_label',
            prodwsId: prodwsId,
            orderId: metaBoxQuickBuy.orderId
          },
          success: function(response) {
            metaBoxQuickBuy.harmonizedLabel = response.isHarmonizedLabelAvailable;
          },
          error: function(response) {
            console.log(response);
          },
          complete: function() {
            metaBoxQuickBuy.loading = false;
          }
        });
      }
    },
    mounted: function() {
      this.orderId = parseInt(document.querySelector('#wcdpi-order-shipment-meta-box-content-order-id').value);
      const quickBuyShippingProduct = $('#wcdpi-quick-buy-shipping-product');

      quickBuyShippingProduct.select2({
        width: '100%',
        selectionCssClass: 'wcdpi-select2-selection',
        dropdownCssClass: 'wcdpi-select2-dropdown',
        placeholder: i18n.placeholder,
        allowClear: true
      });

      quickBuyShippingProduct.change(function(e) {
        metaBoxQuickBuy.selectLabel(e);
      });
    }
  });
});