document.addEventListener('DOMContentLoaded', function() {
  var btnWalletUpdate   = document.querySelector('#wcdpi-wallet');
  var elWalletAmount    = document.querySelector('#wcdpi-wallet-amount');
  var elWalletTopUpForm = document.querySelector('#wcdpi-wallet-top-up');

  if (btnWalletUpdate && elWalletAmount) {
    btnWalletUpdate.addEventListener('click', function() {
      jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'JSON',
        data: {
          action: 'wcdpi_update_wallet',
          security: security.walletUpdate
        },
        success: function(response) {
          elWalletAmount.innerHTML = response.html;
        },
        error: function(error) {
          console.error('Internetmarke - Top-Up failed.', error);
        }
      });
    });
  }

  if (elWalletTopUpForm) {
    elWalletTopUpForm.addEventListener('submit', function(e) {
      e.preventDefault();

      var form    = this;
      var balance = parseInt((parseFloat(form.elements['AMOUNT'].value.replace(',', '.')).toFixed(2) * 100).toFixed());
      var wallet  = parseInt(form.elements['WALLET'].value);
      var date    = new Date();

      var timestamp =
        ('0' + date.getDate()).slice(-2) +
        ('0' + (date.getMonth() + 1)).slice(-2) +
        date.getFullYear().toString() +
        '-' +
        ('0' + date.getHours()).slice(-2) +
        ('0' + date.getMinutes()).slice(-2) +
        ('0' + date.getSeconds()).slice(-2);

      var concat = [
        form.elements['PARTNER_ID'].value,
        timestamp,
        form.elements['SUCCESS_URL'].value,
        form.elements['CANCEL_URL'].value,
        form.elements['USER_TOKEN'].value,
        wallet + balance,
        form.elements['SCHLUESSEL_DPWN_PARTNER'].value
      ].join('::');

      form.elements['BALANCE'].value           = wallet + balance;
      form.elements['PARTNER_SIGNATURE'].value = md5(concat).substring(0,8);
      form.elements['REQUEST_TIMESTAMP'].value = timestamp;

      form.submit();
    })
  }
});