function walletTopUp(form) {
  var balance = parseInt((parseFloat(form.elements['AMOUNT'].value.replace(',', '.')).toFixed(2) * 100).toFixed());
  var wallet  = parseInt(form.elements['WALLET'].value);

  var date = new Date();
  var timestamp =
    ('0' + date.getDate()).slice(-2) +
    ('0' + (date.getMonth() + 1)).slice(-2) +
    date.getFullYear().toString() +
    '-' +
    ('0' + date.getHours()).slice(-2) +
    ('0' + date.getMinutes()).slice(-2) +
    ('0' + date.getSeconds()).slice(-2);

  var concat = [
    form.elements['PARTNER_ID'].value,
    timestamp,
    form.elements['SUCCESS_URL'].value,
    form.elements['CANCEL_URL'].value,
    form.elements['USER_TOKEN'].value,
    wallet + balance,
    form.elements['SCHLUESSEL_DPWN_PARTNER'].value
  ].join('::');

  form.elements['BALANCE'].value           = wallet + balance;
  form.elements['PARTNER_SIGNATURE'].value = md5(concat).substring(0,8);
  form.elements['REQUEST_TIMESTAMP'].value = timestamp;

  form.submit();
}

function UpdatePortokasseWallet() {
  var loading = document.querySelector('#wcdpi-update-portokasse-spinner');

  if (loading) {
    loading.style.verticalAlign = 'text-bottom';
    loading.style.display = 'inline-block';
  }

  jQuery.ajax({
    'url': ajaxurl,
    'type': 'POST',
    'dataType': 'json',
    'data': {
      'action': 'wcdpi_update_portokasse_wallet',
      'nonceUpdateWallet': ENV.nonceUpdateWallet
    },
    success: function(response) {
      var element = document.querySelector('#wcdpi-portokasse-amount');

      element.innerHTML = response;
    },
    error: function(xhr, textStatus, errorThrown) {
      console.log(xhr, textStatus, errorThrown);
    },
    complete: function() {
      if (loading) {
        loading.style.display = 'none';
      }
    }
  });
}

jQuery(function($) {
  const btnWalletTopUp  = $('#wcdpi-portokasse-wallet-topup-button');
  const btnUpdateWallet = $('#wcdpi-update-portokasse-wallet');
  const selectFavorites = $('#_wcdpi_favorite_labels_selection');

  btnWalletTopUp.click(function (event) {
    const currentFormElement    = document.getElementById("wallet-top-up");
    const amountSourceElement   = document.getElementById('_wcdpi_portokasse_wallet_topup');
    const portokasseUrl         = event.target.dataset.portokasseUrl;
    const cancelUrl             = event.target.dataset.cancelUrl;
    const successUrl            = event.target.dataset.successUrl;
    const partnerId             = event.target.dataset.partnerId;
    const keyPhase              = event.target.dataset.keyPhase;
    const userToken             = event.target.dataset.userToken;
    const schluesselDpwnPartner = event.target.dataset.schluesselDpwnPartner;
    const wallet                = event.target.dataset.wallet;

    if (currentFormElement) {
      document.body.removeChild(currentFormElement);
    }

    const requestTimestampElement = document.createElement("input");
    requestTimestampElement.setAttribute("name", "REQUEST_TIMESTAMP");
    requestTimestampElement.setAttribute("type", "hidden");
    requestTimestampElement.setAttribute("value", "");

    const partnerSignatureElement = document.createElement("input");
    partnerSignatureElement.setAttribute("name", "PARTNER_SIGNATURE");
    partnerSignatureElement.setAttribute("type", "hidden");
    partnerSignatureElement.setAttribute("value", "");

    const balanceElement = document.createElement("input");
    balanceElement.setAttribute("name", "BALANCE");
    balanceElement.setAttribute("type", "hidden");
    balanceElement.setAttribute("value", "");

    const partnerIdElement = document.createElement("input");
    partnerIdElement.setAttribute("name", "PARTNER_ID");
    partnerIdElement.setAttribute("type", "hidden");
    partnerIdElement.setAttribute("value", partnerId);

    const keyPhaseElement = document.createElement("input");
    keyPhaseElement.setAttribute("name", "KEY_PHASE");
    keyPhaseElement.setAttribute("type", "hidden");
    keyPhaseElement.setAttribute("value", keyPhase);

    const userTokenElement = document.createElement("input");
    userTokenElement.setAttribute("name", "USER_TOKEN");
    userTokenElement.setAttribute("type", "hidden");
    userTokenElement.setAttribute("value", userToken);

    const schluesselDpwnPartnerElement = document.createElement("input");
    schluesselDpwnPartnerElement.setAttribute("name", "SCHLUESSEL_DPWN_PARTNER");
    schluesselDpwnPartnerElement.setAttribute("type", "hidden");
    schluesselDpwnPartnerElement.setAttribute("value", schluesselDpwnPartner);

    const walletElement = document.createElement("input");
    walletElement.setAttribute("name", "WALLET");
    walletElement.setAttribute("type", "hidden");
    walletElement.setAttribute("value", wallet);

    const cancelUrlElement = document.createElement("input");
    cancelUrlElement.setAttribute("name", "CANCEL_URL");
    cancelUrlElement.setAttribute("type", "hidden");
    cancelUrlElement.setAttribute("value", cancelUrl);

    const successUrlElement = document.createElement("input");
    successUrlElement.setAttribute("name", "SUCCESS_URL");
    successUrlElement.setAttribute("type", "hidden");
    successUrlElement.setAttribute("value", successUrl);

    const amountElement = document.createElement("input");
    amountElement.setAttribute("name", "AMOUNT");
    amountElement.setAttribute("type", "hidden");
    amountElement.setAttribute("value", amountSourceElement.value);

    const formElement = document.createElement("form");
    formElement.setAttribute("id", "wallet-top-up");
    formElement.setAttribute("action", portokasseUrl);
    formElement.setAttribute("method", "POST");
    formElement.setAttribute("target", "_blank");

    formElement.append(requestTimestampElement);
    formElement.append(partnerSignatureElement);
    formElement.append(balanceElement);
    formElement.append(partnerIdElement);
    formElement.append(keyPhaseElement);
    formElement.append(userTokenElement);
    formElement.append(schluesselDpwnPartnerElement);
    formElement.append(walletElement);
    formElement.append(cancelUrlElement);
    formElement.append(successUrlElement);
    formElement.append(amountElement);

    document.body.append(formElement);

    walletTopUp(formElement);
  });

  btnUpdateWallet.click(function() {
    UpdatePortokasseWallet();
  });

  selectFavorites.select2({
    width: '100%',
    selectionCssClass: 'wcdpi-select2-selection',
    dropdownCssClass: 'wcdpi-select2-dropdown',
    placeholder: i18n.placeholder,
    allowClear: true,
    multiple: true,
    closeOnSelect: false
  });
});