<?php

namespace DeutschePost\Internetmarke;

defined('ABSPATH') || exit;

class AjaxHandler
{
    /**
     * @var Store
     */
    protected $store;

    /**
     * AjaxHandler constructor.
     *
     * @param Store $store
     */
    public function __construct(Store $store)
    {
        $this->store = $store;

        add_action('wp_ajax_wcdpi_update_portokasse_wallet', array($this, 'updatePortokasseWallet'));
    }

    public function updatePortokasseWallet()
    {
        // Validate request.
        check_ajax_referer('wcdpi_update_portokasse_wallet', 'nonceUpdateWallet');

        if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
            wp_die('Invalid request.');
        }

        if (!current_user_can('manage_internetmarke')) {
            wp_die('Invalid request.');
        }

        do_action('wcdpi_integration_oneclickforapp_update_wallet');

        wp_die(
            json_encode(
                wcdpi_format_price(get_option('wcdpi_oneclickforapp_wallet_balance') / 100)
            )
        );
    }
}