<?php

namespace DeutschePost\Internetmarke\Connectors\Abstracts;

defined ('ABSPATH') || exit;

abstract class ResponseFactory
{
    /**
     * @var string
     */
    private $namespace = '';

    /**
     * @return bool|string
     */
    private function getNamespace()
    {
        if (empty($this->namespace)) {
            $className = get_class($this);
            $this->namespace = substr(
                $className,
                0,
                strrpos($className, '\\') + 1
            );
        }

        return $this->namespace;
    }

    /**
     * @param string $name
     * @param mixed  $result
     *
     * @return null|mixed
     */
    final public function create($name, $result)
    {
        $responseClassName = $this->getNamespace() . 'Response\\' . ucfirst($name);

        if (class_exists($responseClassName)) {
            return new $responseClassName($result);
        }

        return null;
    }
}