<?php

namespace DeutschePost\Internetmarke\Connectors\Abstracts\SOAP;

use DeutschePost\Internetmarke\Connectors\Abstracts\Request as AbstractRequest;

defined ('ABSPATH') || exit;

abstract class Request extends AbstractRequest
{
    private $childClass   = '';
    private $methodName   = '';
    private $argumentsKey = '';
    private $arguments    = array();

    private function getChildClass()
    {
        if (empty($this->childClass)) {
            $className = get_class($this);
            $this->childClass = substr(
                $className,
                strrpos($className, '\\') + 1
            );
        }

        return $this->childClass;
    }

    private function getArgumentsKey()
    {
        if (empty($this->argumentsKey)){
            $this->argumentsKey = $this->getChildClass() . 'Request';
        }

        return $this->argumentsKey;
    }

    final protected function setArgument($key, $value)
    {
        if (empty($this->arguments)) {
            $this->arguments[$this->getArgumentsKey()] = array();
        }

        $this->arguments[$this->getArgumentsKey()][$key] = $value;
    }

    final public function getMethodName()
    {
        if (empty($this->methodName)) {
            $this->methodName = lcfirst($this->getChildClass());
        }

        return $this->methodName;
    }

    final public function getArguments()
    {
        return $this->arguments;
    }
}