<?php

namespace DeutschePost\Internetmarke\Connectors\ForkLane\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\DataType;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

class GetPartnerCredentials extends Request
{
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('data', $arguments)) {
            throw new Exception('Argument data is missing from the GetPartnerCredentials request');
        }

        $this->setRequestURL('/domain');
        $this->addHeader('Accept: application/json');
        $this->addData($arguments['data'], DataType::JSON);
        $this->setRequestType(RequestType::POST);
    }
}