<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForApp\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

defined ('ABSPATH') || exit;

class CheckoutShoppingCartPDF extends AbstractRequest
{
    /**
     * CheckoutShoppingCartPDF constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('userToken', $arguments)) {
            throw new Exception('Argument userToken is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('pageFormatId', $arguments)) {
            throw new Exception('Argument pageFormatId is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('positions', $arguments)) {
            throw new Exception('Argument positions is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('total', $arguments)) {
            throw new Exception('Argument total is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('shopOrderId', $arguments)) {
            throw new Exception('Argument shopOrderId is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('ppl', $arguments)) {
            throw new Exception('Argument ppl is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('createManifest', $arguments)) {
            throw new Exception('Argument createManifest is missing from the CheckoutShoppingCartPDF request');
        }

        if (!array_key_exists('createShippingList', $arguments)) {
            throw new Exception('Argument createShippingList is missing from the CheckoutShoppingCartPDF request');
        }

        $this->setArgument('userToken', $arguments['userToken']);
        $this->setArgument('pageFormatId', $arguments['pageFormatId']);
        $this->setArgument('positions', $arguments['positions']);
        $this->setArgument('total', $arguments['total']);
        $this->setArgument('shopOrderId', $arguments['shopOrderId']);
        $this->setArgument('ppl', $arguments['ppl']);
        $this->setArgument('createManifest', $arguments['createManifest']);
        $this->setArgument('createShippingList', $arguments['createShippingList']);
    }
}
