<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForApp\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

defined ('ABSPATH') || exit;

class RetrieveOrder extends AbstractRequest
{
    /**
     * RetrieveOrder constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('userToken', $arguments)) {
            throw new Exception('Argument userToken is missing from the RetrieveOrder request');
        }

        if (!array_key_exists('shopOrderId', $arguments)) {
            throw new Exception('Argument shopOrderId is missing from the RetrieveOrder request');
        }

        $this->setArgument('userToken', $arguments['userToken']);
        $this->setArgument('shopOrderId', $arguments['shopOrderId']);
    }
}
