<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForApp\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

defined ('ABSPATH') || exit;

class RetrievePreviewVoucherPNG extends AbstractRequest
{
    /**
     * RetrievePreviewVoucherPNG constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('productCode', $arguments)) {
            throw new Exception('Argument productCode is missing from the RetrievePreviewVoucherPNG request');
        }

        if (!array_key_exists('voucherLayout', $arguments)) {
            throw new Exception('Argument voucherLayout is missing from the RetrievePreviewVoucherPNG request');
        }

        $this->setArgument('productCode', $arguments['productCode']);
        $this->setArgument('voucherLayout', $arguments['voucherLayout']);
        $this->setArgument('imageID', $arguments['imageID']);
    }
}
