<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForApp\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Response as AbstractResponse;

defined ('ABSPATH') || exit;

class CreateShopOrderId extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var int
     */
    protected $shopOrderId;

    /**
     * CreateShopOrderId constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse($responseObject);
        $this->parseResponse($responseObject);
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        if (!property_exists($responseObject, 'shopOrderId')) {
            throw new Exception('The shopOrderId property is missing from the response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        $this->setShopOrderId($responseObject->shopOrderId);
    }

    /**
     * @return int
     */
    public function getShopOrderId()
    {
        return $this->shopOrderId;
    }

    /**
     * @param $value
     */
    public function setShopOrderId($value)
    {
        $this->shopOrderId = $value;
    }
}
