<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund;

use SoapFault;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Connector as SOAPConnector;
use DeutschePost\Internetmarke\Connectors\Interfaces\Connector as ConnectorInterface;

defined('ABSPATH') || exit;

/**
 * @method authenticateUser(array $array)
 * @method createRetoureId()
 * @method retoureVouchers(array $args)
 */
class Connector extends SOAPConnector implements ConnectorInterface
{
    /**
     * @var string
     */
    const SERVICE_WSDL_URL = 'https://internetmarke.deutschepost.de/OneClickForRefund?wsdl';

    /**
     * @var string
     */
    const SERVICE_NAMESPACE = 'http://oneclickforrefund.dpag.de';

    /**
     * @var RequestFactory
     */
    protected $requestFactory;

    /**
     * @var ResponseFactory
     */
    protected $responseFactory;

    /**
     * Connector constructor.
     * 
     * @param int    $partnerId      Merchant Partner ID
     * @param int    $keyPhase       Merchant Key Phase
     * @param string $marketplaceKey Merchant Marketplace Key
     * @throws SoapFault
     */
    public function __construct($partnerId, $keyPhase, $marketplaceKey)
    {
        $this->requestFactory = new RequestFactory();
        $this->responseFactory = new ResponseFactory();
        
        $this->init(
            self::SERVICE_WSDL_URL,
            self::SERVICE_NAMESPACE,
            $partnerId,
            $keyPhase,
            $marketplaceKey
        );
    }
}