<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class AuthenticateUser extends AbstractRequest
{
    /**
     * AuthenticateUser constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('username', $arguments)) {
            throw new Exception('Argument username is missing from the AuthenticateUser request');
        }

        if (!array_key_exists('password', $arguments)) {
            throw new Exception('Argument password is missing from the AuthenticateUser request');
        }

        $this->setArgument('username', $arguments['username']);
        $this->setArgument('password', $arguments['password']);
    }
}
