<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class RetoureVouchers extends AbstractRequest
{
    /**
     * RetoureVouchers constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('userToken', $arguments)) {
            throw new Exception('Argument userToken is missing from the RetoureVouchers request');
        }

        if (!array_key_exists('shopRetoureId', $arguments)) {
            throw new Exception('Argument shopRetoureId is missing from the RetoureVouchers request');
        }

        if (!array_key_exists('shoppingCart', $arguments)) {
            throw new Exception('Argument shoppingCart is missing from the RetoureVouchers request');
        }

        $this->setArgument('userToken', $arguments['userToken']);
        $this->setArgument('shopRetoureId', $arguments['shopRetoureId']);
        $this->setArgument('shoppingCart', $arguments['shoppingCart']);
    }
}
