<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Response as AbstractResponse;

class CreateRetoureId extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var string
     */
    protected $shopRetoureId;

    /**
     * CreateRetoureId constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse($responseObject);
        $this->parseResponse($responseObject);
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        if (!property_exists($responseObject, 'shopRetoureId')) {
            throw new Exception('The shopRetoureId property is missing from the response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        $this->setShopRetoureId($responseObject->shopRetoureId);
    }

    /**
     * @return string
     */
    public function getShopRetoureId()
    {
        return $this->shopRetoureId;
    }

    /**
     * @param $value
     */
    public function setShopRetoureId($value)
    {
        $this->shopRetoureId = $value;
    }
}