<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Response as AbstractResponse;

class RetoureVouchers extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var string
     */
    protected $retoureTransactionId;

    /**
     * RetoureVouchers constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse($responseObject);
        $this->parseResponse($responseObject);
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        if (!property_exists($responseObject, 'retoureTransactionId')) {
            throw new Exception('The retoureTransactionId property is missing from the response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        $this->setRetoureTransactionId($responseObject->retoureTransactionId);
    }

    /**
     * @return string
     */
    public function getRetoureTransactionId()
    {
        return $this->retoureTransactionId;
    }

    /**
     * @param $value
     */
    public function setRetoureTransactionId($value)
    {
        $this->retoureTransactionId = $value;
    }
}