<?php

namespace DeutschePost\Internetmarke\Connectors\OneClickForRefund\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Response as AbstractResponse;

class RetrieveRetoureState extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var array
     */
    protected $retoureState;

    /**
     * RetrieveRetoureState constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse($responseObject);
        $this->parseResponse($responseObject);
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        if (!property_exists($responseObject, 'retoureState')) {
            throw new Exception('The retoureState property is missing from the response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @return mixed|void
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        $this->setRetoureState($responseObject->retoureState);
    }

    /**
     * @return array
     */
    public function getRetoureState()
    {
        return $this->retoureState;
    }

    /**
     * @param $value
     */
    public function setRetoureState($value)
    {
        $this->retoureState = $value;
    }
}