<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus;

use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Connector as cURLConnector;

/**
 * @method getAccessToken( array $array )
 */
class Connector extends cURLConnector
{
    /**
     * @var RequestFactory
     */
    protected $requestFactory;

    /**
     * @var ResponseFactory
     */
    protected $responseFactory;

    /**
     * Connector constructor.
     *
     * @param int     $partnerId      Merchant Partner ID
     * @param int     $keyPhase       Merchant Key Phase
     * @param string  $marketplaceKey Merchant Marketplace Key
     */
    public function __construct($partnerId, $keyPhase, $marketplaceKey)
    {
        $this->requestFactory = new RequestFactory();
        $this->responseFactory = new ResponseFactory();

        if (defined('PACKETPLUS_QA')) {
            $this->init(
                'https://api-qa.deutschepost.com',
                'DP_LT',
                1,
                'ebfbRmYrgaljdJMqsqRRThucDcgp80CN'
            );
        }

        else {
            $this->init(
                'https://api.deutschepost.com',
                $partnerId,
                $keyPhase,
                $marketplaceKey
            );
        }
    }
}