<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\DataType;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request as AbstractRequest;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

defined('ABSPATH') || exit();

class CreateOrder extends AbstractRequest
{
    /**
     * CreateOrder constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('token', $arguments)) {
            throw new Exception('Argument token is missing from the CreateOrder request');
        }

        if (!array_key_exists('data', $arguments)) {
            throw new Exception('Argument data is missing from the CreateOrder request');
        }

        $this->setRequestURL('/dpi/shipping/v1/orders');
        $this->addBearerAuthentication($arguments['token']);
        $this->addHeader('Accept: application/json');
        $this->addData($arguments['data'], DataType::JSON);
        $this->setRequestType(RequestType::POST);
    }
}