<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request as AbstractRequest;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

defined('ABSPATH') || exit();

class GetAccessToken extends AbstractRequest
{
    /**
     * GetAccessToken constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('username', $arguments)) {
            throw new Exception('Argument username is missing from the GetAccessToken request');
        }

        if (!array_key_exists('password', $arguments)) {
            throw new Exception('Argument password is missing from the GetAccessToken request');
        }

        $token = base64_encode($arguments['username'] . ':' . $arguments['password']);

        $this->setRequestURL('/v1/auth/accesstoken');
        $this->addBearerAuthentication($token);
        $this->setRequestType(RequestType::GET);
    }
}