<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request as AbstractRequest;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

defined('ABSPATH') || exit();

class GetItemLabel extends AbstractRequest
{
    /**
     * GetItemLabel constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('token', $arguments)) {
            throw new Exception('Argument token is missing from the GetItemLabel request');
        }

        if (!array_key_exists('itemId', $arguments)) {
            throw new Exception('Argument itemId is missing from the GetItemLabel request');
        }

        $this->setRequestURL('/dpi/shipping/v1/items/' . $arguments['itemId'] . '/label');
        $this->addBearerAuthentication($arguments['token']);
        $this->addHeader('Accept: application/pdf');
        $this->setRequestType(RequestType::GET);
    }
}