<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request as AbstractRequest;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

defined('ABSPATH') || exit();

class GetItemLabels extends AbstractRequest
{
    /**
     * GetItemLabels constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('awb', $arguments)) {
            throw new Exception('Argument awb is missing from the GetItemLabels request');
        }

        if (!array_key_exists('token', $arguments)) {
            throw new Exception('Argument token is missing from the GetItemLabels request');
        }

        $this->setRequestURL('/dpi/shipping/v1/shipments/' . $arguments['awb'] . '/itemlabels');
        $this->addBearerAuthentication($arguments['token']);
        $this->addHeader('Accept: application/pdf');
        $this->setRequestType(RequestType::GET);
    }
}