<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request as AbstractRequest;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

defined('ABSPATH') || exit();

class GetOrder extends AbstractRequest
{
    /**
     * GetOrder constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('orderId', $arguments)) {
            throw new Exception('Argument orderId is missing from the GetOrder request');
        }

        if (!array_key_exists('token', $arguments)) {
            throw new Exception('Argument token is missing from the GetOrder request');
        }

        $this->setRequestURL('/dpi/shipping/v1/orders/' . $arguments['orderId']);
        $this->addBearerAuthentication($arguments['token']);
        $this->addHeader('Accept: application/json');
        $this->setRequestType(RequestType::GET);
    }
}