<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\Request as AbstractRequest;
use DeutschePost\Internetmarke\Connectors\Abstracts\cURL\RequestType;

defined('ABSPATH') || exit();

class GetTrackings extends AbstractRequest
{
    /**
     * GetTrackings constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('barcode', $arguments)) {
            throw new Exception('Argument barcode is missing from the GetTrackings request');
        }

        if (!array_key_exists('token', $arguments)) {
            throw new Exception('Argument token is missing from the GetTrackings request');
        }

        $this->setRequestURL('/dpi/tracking/v1/trackings/' . $arguments['barcode']);
        $this->addBearerAuthentication($arguments['token']);
        $this->addHeader('Accept: application/json');
        $this->setRequestType(RequestType::GET);
    }
}