<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\Response as AbstractResponse;

defined('ABSPATH') || exit();

class GetTrackings extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var string
     */
    protected $awb;

    /**
     * @var string
     */
    protected $barcode;

    /**
     * @var array
     */
    protected $events;

    /**
     * @var string
     */
    protected $fromAddress1;

    /**
     * @var string
     */
    protected $fromAddress2;

    /**
     * @var string
     */
    protected $fromAddress3;

    /**
     * @var string
     */
    protected $fromCity;

    /**
     * @var string
     */
    protected $fromCountry;

    /**
     * @var string
     */
    protected $fromName;

    /**
     * @var string
     */
    protected $fromZip;

    /**
     * @var string
     */
    protected $publicUrl;

    /**
     * @var string
     */
    protected $toAddress1;

    /**
     * @var string
     */
    protected $toAddress2;

    /**
     * @var string
     */
    protected $toAddress3;

    /**
     * @var string
     */
    protected $toCity;

    /**
     * @var string
     */
    protected $toCountry;

    /**
     * @var string
     */
    protected $toName;

    /**
     * @var string
     */
    protected $toZip;

    /**
     * GetTrackings constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse(json_decode($responseObject));
        $this->parseResponse(json_decode($responseObject));
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        if (property_exists($responseObject, 'awb')) {
            $this->setAwb($responseObject->awb);
        }

        if (property_exists($responseObject, 'barcode')) {
            $this->setBarcode($responseObject->barcode);
        }

        if (property_exists($responseObject, 'events')) {
            $this->setEvents($responseObject->events);
        }

        if (property_exists($responseObject, 'fromAddress1')) {
            $this->setFromAddress1($responseObject->fromAddress1);
        }

        if (property_exists($responseObject, 'fromAddress2')) {
            $this->setFromAddress2($responseObject->fromAddress2);
        }

        if (property_exists($responseObject, 'fromAddress3')) {
            $this->setFromAddress3($responseObject->fromAddress3);
        }

        if (property_exists($responseObject, 'fromCity')) {
            $this->setFromCity($responseObject->fromCity);
        }

        if (property_exists($responseObject, 'fromCountry')) {
            $this->setFromCountry($responseObject->fromCountry);
        }

        if (property_exists($responseObject, 'fromName')) {
            $this->setFromName($responseObject->fromName);
        }

        if (property_exists($responseObject, 'fromZip')) {
            $this->setFromZip($responseObject->fromZip);
        }

        if (property_exists($responseObject, 'publicUrl')) {
            $this->setPublicUrl($responseObject->publicUrl);
        }

        if (property_exists($responseObject, 'toAddress1')) {
            $this->setToAddress1($responseObject->toAddress1);
        }

        if (property_exists($responseObject, 'toAddress2')) {
            $this->setToAddress2($responseObject->toAddress2);
        }

        if (property_exists($responseObject, 'toAddress3')) {
            $this->setToAddress3($responseObject->toAddress3);
        }

        if (property_exists($responseObject, 'toCity')) {
            $this->setToCity($responseObject->toCity);
        }

        if (property_exists($responseObject, 'toCountry')) {
            $this->setToCountry($responseObject->toCountry);
        }

        if (property_exists($responseObject, 'toName')) {
            $this->setToName($responseObject->toName);
        }

        if (property_exists($responseObject, 'toZip')) {
            $this->setToZip($responseObject->toZip);
        }
    }

    /**
     * @return string
     */
    public function getAwb()
    {
        return $this->awb;
    }

    /**
     * @param string $awb
     */
    public function setAwb($awb)
    {
        $this->awb = $awb;
    }

    /**
     * @return string
     */
    public function getBarcode()
    {
        return $this->barcode;
    }

    /**
     * @param string $barcode
     */
    public function setBarcode($barcode)
    {
        $this->barcode = $barcode;
    }

    /**
     * @return array
     */
    public function getEvents()
    {
        return $this->events;
    }

    /**
     * @param array $events
     */
    public function setEvents($events)
    {
        $this->events = $events;
    }

    /**
     * @return string
     */
    public function getFromAddress1()
    {
        return $this->fromAddress1;
    }

    /**
     * @param string $fromAddress1
     */
    public function setFromAddress1($fromAddress1)
    {
        $this->fromAddress1 = $fromAddress1;
    }

    /**
     * @return string
     */
    public function getFromAddress2()
    {
        return $this->fromAddress2;
    }

    /**
     * @param string $fromAddress2
     */
    public function setFromAddress2($fromAddress2)
    {
        $this->fromAddress2 = $fromAddress2;
    }

    /**
     * @return string
     */
    public function getFromAddress3()
    {
        return $this->fromAddress3;
    }

    /**
     * @param string $fromAddress3
     */
    public function setFromAddress3($fromAddress3)
    {
        $this->fromAddress3 = $fromAddress3;
    }

    /**
     * @return string
     */
    public function getFromCity()
    {
        return $this->fromCity;
    }

    /**
     * @param string $fromCity
     */
    public function setFromCity($fromCity)
    {
        $this->fromCity = $fromCity;
    }

    /**
     * @return string
     */
    public function getFromCountry()
    {
        return $this->fromCountry;
    }

    /**
     * @param string $fromCountry
     */
    public function setFromCountry($fromCountry)
    {
        $this->fromCountry = $fromCountry;
    }

    /**
     * @return string
     */
    public function getFromName()
    {
        return $this->fromName;
    }

    /**
     * @param string $fromName
     */
    public function setFromName($fromName)
    {
        $this->fromName = $fromName;
    }

    /**
     * @return string
     */
    public function getFromZip()
    {
        return $this->fromZip;
    }

    /**
     * @param string $fromZip
     */
    public function setFromZip($fromZip)
    {
        $this->fromZip = $fromZip;
    }

    /**
     * @return string
     */
    public function getPublicUrl()
    {
        return $this->publicUrl;
    }

    /**
     * @param string $publicUrl
     */
    public function setPublicUrl($publicUrl)
    {
        $this->publicUrl = $publicUrl;
    }

    /**
     * @return string
     */
    public function getToAddress1()
    {
        return $this->toAddress1;
    }

    /**
     * @param string $toAddress1
     */
    public function setToAddress1($toAddress1)
    {
        $this->toAddress1 = $toAddress1;
    }

    /**
     * @return string
     */
    public function getToAddress2()
    {
        return $this->toAddress2;
    }

    /**
     * @param string $toAddress2
     */
    public function setToAddress2($toAddress2)
    {
        $this->toAddress2 = $toAddress2;
    }

    /**
     * @return string
     */
    public function getToAddress3()
    {
        return $this->toAddress3;
    }

    /**
     * @param string $toAddress3
     */
    public function setToAddress3($toAddress3)
    {
        $this->toAddress3 = $toAddress3;
    }

    /**
     * @return string
     */
    public function getToCity()
    {
        return $this->toCity;
    }

    /**
     * @param string $toCity
     */
    public function setToCity($toCity)
    {
        $this->toCity = $toCity;
    }

    /**
     * @return string
     */
    public function getToCountry()
    {
        return $this->toCountry;
    }

    /**
     * @param string $toCountry
     */
    public function setToCountry($toCountry)
    {
        $this->toCountry = $toCountry;
    }

    /**
     * @return string
     */
    public function getToName()
    {
        return $this->toName;
    }

    /**
     * @param string $toName
     */
    public function setToName($toName)
    {
        $this->toName = $toName;
    }

    /**
     * @return string
     */
    public function getToZip()
    {
        return $this->toZip;
    }

    /**
     * @param string $toZip
     */
    public function setToZip($toZip)
    {
        $this->toZip = $toZip;
    }
}