<?php

namespace DeutschePost\Internetmarke\Connectors\PacketPlus\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\Response as AbstractResponse;

defined('ABSPATH') || exit();

class UpdateItem extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var string
     */
    protected $addressLine1;

    /**
     * @var string
     */
    protected $addressLine2;

    /**
     * @var string
     */
    protected $addressLine3;

    /**
     * @var string
     */
    protected $barcode;

    /**
     * @var string
     */
    protected $city;

    /**
     * @var array
     */
    protected $contents;

    /**
     * @var string
     */
    protected $custRef;

    /**
     * @var string
     */
    protected $custRef2;

    /**
     * @var string
     */
    protected $custRef3;

    /**
     * @var string
     */
    protected $destinationCountry;

    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $postalCode;

    /**
     * @var string
     */
    protected $product;

    /**
     * @var string
     */
    protected $recipient;

    /**
     * @var string
     */
    protected $recipientEmail;

    /**
     * @var string
     */
    protected $recipientFax;

    /**
     * @var string
     */
    protected $recipientPhone;

    /**
     * @var bool
     */
    protected $returnItemWanted;

    /**
     * @var string
     */
    protected $senderAddressLine1;

    /**
     * @var string
     */
    protected $senderAddressLine2;

    /**
     * @var string
     */
    protected $senderCity;

    /**
     * @var string
     */
    protected $senderCountry;

    /**
     * @var string
     */
    protected $senderEmail;

    /**
     * @var string
     */
    protected $senderName;

    /**
     * @var string
     */
    protected $senderPhone;

    /**
     * @var string
     */
    protected $senderPostalCode;

    /**
     * @var string
     */
    protected $serviceLevel;

    /**
     * @var float
     */
    protected $shipmentAmount;

    /**
     * @var string
     */
    protected $shipmentCurrency;

    /**
     * @var int
     */
    protected $shipmentGrossWeight;

    /**
     * @var string
     */
    protected $shipmentNatureType;

    /**
     * @var string
     */
    protected $state;

    /**
     * @var string
     */
    protected $thirdPartyVendorId;

    /**
     * @var string
     */
    protected $voucherId;

    /**
     * UpdateItem constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse(json_decode($responseObject));
        $this->parseResponse(json_decode($responseObject));
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        if (property_exists($responseObject, 'addressLine1')) {
            $this->setAddressLine1($responseObject->addressLine1);
        }

        if (property_exists($responseObject, 'addressLine2')) {
            $this->setAddressLine2($responseObject->addressLine2);
        }

        if (property_exists($responseObject, 'addressLine3')) {
            $this->setAddressLine3($responseObject->addressLine3);
        }

        if (property_exists($responseObject, 'barcode')) {
            $this->setBarcode($responseObject->barcode);
        }

        if (property_exists($responseObject, 'city')) {
            $this->setCity($responseObject->city);
        }

        if (property_exists($responseObject, 'contents')) {
            $this->setContents($responseObject->contents);
        }

        if (property_exists($responseObject, 'custRef')) {
            $this->setCustRef($responseObject->custRef);
        }

        if (property_exists($responseObject, 'custRef2')) {
            $this->setCustRef2($responseObject->custRef2);
        }

        if (property_exists($responseObject, 'custRef3')) {
            $this->setCustRef3($responseObject->custRef3);
        }

        if (property_exists($responseObject, 'destinationCountry')) {
            $this->setDestinationCountry($responseObject->destinationCountry);
        }

        if (property_exists($responseObject, 'id')) {
            $this->setId($responseObject->id);
        }

        if (property_exists($responseObject, 'postalCode')) {
            $this->setPostalCode($responseObject->postalCode);
        }

        if (property_exists($responseObject, 'product')) {
            $this->setProduct($responseObject->product);
        }

        if (property_exists($responseObject, 'recipient')) {
            $this->setRecipient($responseObject->recipient);
        }

        if (property_exists($responseObject, 'recipientEmail')) {
            $this->setRecipientEmail($responseObject->recipientEmail);
        }

        if (property_exists($responseObject, 'recipientFax')) {
            $this->setRecipientFax($responseObject->recipientFax);
        }

        if (property_exists($responseObject, 'recipientPhone')) {
            $this->setRecipientPhone($responseObject->recipientPhone);
        }

        if (property_exists($responseObject, 'returnItemWanted')) {
            $this->setReturnItemWanted($responseObject->returnItemWanted);
        }

        if (property_exists($responseObject, 'senderAddressLine1')) {
            $this->setSenderAddressLine1($responseObject->senderAddressLine1);
        }

        if (property_exists($responseObject, 'senderAddressLine2')) {
            $this->setSenderAddressLine2($responseObject->senderAddressLine2);
        }

        if (property_exists($responseObject, 'senderCity')) {
            $this->setSenderCity($responseObject->senderCity);
        }

        if (property_exists($responseObject, 'senderCountry')) {
            $this->setSenderCountry($responseObject->senderCountry);
        }

        if (property_exists($responseObject, 'senderEmail')) {
            $this->setSenderEmail($responseObject->senderEmail);
        }

        if (property_exists($responseObject, 'senderName')) {
            $this->setSenderName($responseObject->senderName);
        }

        if (property_exists($responseObject, 'senderPhone')) {
            $this->setSenderPhone($responseObject->senderPhone);
        }

        if (property_exists($responseObject, 'senderPostalCode')) {
            $this->setSenderPostalCode($responseObject->senderPostalCode);
        }

        if (property_exists($responseObject, 'serviceLevel')) {
            $this->setServiceLevel($responseObject->serviceLevel);
        }

        if (property_exists($responseObject, 'shipmentAmount')) {
            $this->setShipmentAmount($responseObject->shipmentAmount);
        }

        if (property_exists($responseObject, 'shipmentCurrency')) {
            $this->setShipmentCurrency($responseObject->shipmentCurrency);
        }

        if (property_exists($responseObject, 'shipmentGrossWeight')) {
            $this->setShipmentGrossWeight($responseObject->shipmentGrossWeight);
        }

        if (property_exists($responseObject, 'shipmentNatureType')) {
            $this->setShipmentNatureType($responseObject->shipmentNatureType);
        }

        if (property_exists($responseObject, 'state')) {
            $this->setState($responseObject->state);
        }

        if (property_exists($responseObject, 'thirdPartyVendorId')) {
            $this->setThirdPartyVendorId($responseObject->thirdPartyVendorId);
        }

        if (property_exists($responseObject, 'voucherId')) {
            $this->setVoucherId($responseObject->voucherId);
        }
    }

    /**
     * @return string
     */
    public function getAddressLine1()
    {
        return $this->addressLine1;
    }

    /**
     * @param string $addressLine1
     */
    public function setAddressLine1($addressLine1)
    {
        $this->addressLine1 = $addressLine1;
    }

    /**
     * @return string
     */
    public function getAddressLine2()
    {
        return $this->addressLine2;
    }

    /**
     * @param string $addressLine2
     */
    public function setAddressLine2($addressLine2)
    {
        $this->addressLine2 = $addressLine2;
    }

    /**
     * @return string
     */
    public function getAddressLine3()
    {
        return $this->addressLine3;
    }

    /**
     * @param string $addressLine3
     */
    public function setAddressLine3($addressLine3)
    {
        $this->addressLine3 = $addressLine3;
    }

    /**
     * @return string
     */
    public function getBarcode()
    {
        return $this->barcode;
    }

    /**
     * @param string $barcode
     */
    public function setBarcode($barcode)
    {
        $this->barcode = $barcode;
    }

    /**
     * @return string
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param string $city
     */
    public function setCity($city)
    {
        $this->city = $city;
    }

    /**
     * @return array
     */
    public function getContents()
    {
        return $this->contents;
    }

    /**
     * @param array $contents
     */
    public function setContents($contents)
    {
        $this->contents = $contents;
    }

    /**
     * @return string
     */
    public function getCustRef()
    {
        return $this->custRef;
    }

    /**
     * @param string $custRef
     */
    public function setCustRef($custRef)
    {
        $this->custRef = $custRef;
    }

    /**
     * @return string
     */
    public function getCustRef2()
    {
        return $this->custRef2;
    }

    /**
     * @param string $custRef2
     */
    public function setCustRef2($custRef2)
    {
        $this->custRef2 = $custRef2;
    }

    /**
     * @return string
     */
    public function getCustRef3()
    {
        return $this->custRef3;
    }

    /**
     * @param string $custRef3
     */
    public function setCustRef3($custRef3)
    {
        $this->custRef3 = $custRef3;
    }

    /**
     * @return string
     */
    public function getDestinationCountry()
    {
        return $this->destinationCountry;
    }

    /**
     * @param string $destinationCountry
     */
    public function setDestinationCountry($destinationCountry)
    {
        $this->destinationCountry = $destinationCountry;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getPostalCode()
    {
        return $this->postalCode;
    }

    /**
     * @param string $postalCode
     */
    public function setPostalCode($postalCode)
    {
        $this->postalCode = $postalCode;
    }

    /**
     * @return string
     */
    public function getProduct()
    {
        return $this->product;
    }

    /**
     * @param string $product
     */
    public function setProduct($product)
    {
        $this->product = $product;
    }

    /**
     * @return string
     */
    public function getRecipient()
    {
        return $this->recipient;
    }

    /**
     * @param string $recipient
     */
    public function setRecipient($recipient)
    {
        $this->recipient = $recipient;
    }

    /**
     * @return string
     */
    public function getRecipientEmail()
    {
        return $this->recipientEmail;
    }

    /**
     * @param string $recipientEmail
     */
    public function setRecipientEmail($recipientEmail)
    {
        $this->recipientEmail = $recipientEmail;
    }

    /**
     * @return string
     */
    public function getRecipientFax()
    {
        return $this->recipientFax;
    }

    /**
     * @param string $recipientFax
     */
    public function setRecipientFax($recipientFax)
    {
        $this->recipientFax = $recipientFax;
    }

    /**
     * @return string
     */
    public function getRecipientPhone()
    {
        return $this->recipientPhone;
    }

    /**
     * @param string $recipientPhone
     */
    public function setRecipientPhone($recipientPhone)
    {
        $this->recipientPhone = $recipientPhone;
    }

    /**
     * @return bool
     */
    public function isReturnItemWanted()
    {
        return $this->returnItemWanted;
    }

    /**
     * @param bool $returnItemWanted
     */
    public function setReturnItemWanted($returnItemWanted)
    {
        $this->returnItemWanted = $returnItemWanted;
    }

    /**
     * @return string
     */
    public function getSenderAddressLine1()
    {
        return $this->senderAddressLine1;
    }

    /**
     * @param string $senderAddressLine1
     */
    public function setSenderAddressLine1($senderAddressLine1)
    {
        $this->senderAddressLine1 = $senderAddressLine1;
    }

    /**
     * @return string
     */
    public function getSenderAddressLine2()
    {
        return $this->senderAddressLine2;
    }

    /**
     * @param string $senderAddressLine2
     */
    public function setSenderAddressLine2($senderAddressLine2)
    {
        $this->senderAddressLine2 = $senderAddressLine2;
    }

    /**
     * @return string
     */
    public function getSenderCity()
    {
        return $this->senderCity;
    }

    /**
     * @param string $senderCity
     */
    public function setSenderCity($senderCity)
    {
        $this->senderCity = $senderCity;
    }

    /**
     * @return string
     */
    public function getSenderCountry()
    {
        return $this->senderCountry;
    }

    /**
     * @param string $senderCountry
     */
    public function setSenderCountry($senderCountry)
    {
        $this->senderCountry = $senderCountry;
    }

    /**
     * @return string
     */
    public function getSenderEmail()
    {
        return $this->senderEmail;
    }

    /**
     * @param string $senderEmail
     */
    public function setSenderEmail($senderEmail)
    {
        $this->senderEmail = $senderEmail;
    }

    /**
     * @return string
     */
    public function getSenderName()
    {
        return $this->senderName;
    }

    /**
     * @param string $senderName
     */
    public function setSenderName($senderName)
    {
        $this->senderName = $senderName;
    }

    /**
     * @return string
     */
    public function getSenderPhone()
    {
        return $this->senderPhone;
    }

    /**
     * @param string $senderPhone
     */
    public function setSenderPhone($senderPhone)
    {
        $this->senderPhone = $senderPhone;
    }

    /**
     * @return string
     */
    public function getSenderPostalCode()
    {
        return $this->senderPostalCode;
    }

    /**
     * @param string $senderPostalCode
     */
    public function setSenderPostalCode($senderPostalCode)
    {
        $this->senderPostalCode = $senderPostalCode;
    }

    /**
     * @return string
     */
    public function getServiceLevel()
    {
        return $this->serviceLevel;
    }

    /**
     * @param string $serviceLevel
     */
    public function setServiceLevel($serviceLevel)
    {
        $this->serviceLevel = $serviceLevel;
    }

    /**
     * @return float
     */
    public function getShipmentAmount()
    {
        return $this->shipmentAmount;
    }

    /**
     * @param float $shipmentAmount
     */
    public function setShipmentAmount($shipmentAmount)
    {
        $this->shipmentAmount = $shipmentAmount;
    }

    /**
     * @return string
     */
    public function getShipmentCurrency()
    {
        return $this->shipmentCurrency;
    }

    /**
     * @param string $shipmentCurrency
     */
    public function setShipmentCurrency($shipmentCurrency)
    {
        $this->shipmentCurrency = $shipmentCurrency;
    }

    /**
     * @return int
     */
    public function getShipmentGrossWeight()
    {
        return $this->shipmentGrossWeight;
    }

    /**
     * @param int $shipmentGrossWeight
     */
    public function setShipmentGrossWeight($shipmentGrossWeight)
    {
        $this->shipmentGrossWeight = $shipmentGrossWeight;
    }

    /**
     * @return string
     */
    public function getShipmentNatureType()
    {
        return $this->shipmentNatureType;
    }

    /**
     * @param string $shipmentNatureType
     */
    public function setShipmentNatureType($shipmentNatureType)
    {
        $this->shipmentNatureType = $shipmentNatureType;
    }

    /**
     * @return string
     */
    public function getState()
    {
        return $this->state;
    }

    /**
     * @param string $state
     */
    public function setState($state)
    {
        $this->state = $state;
    }

    /**
     * @return string
     */
    public function getThirdPartyVendorId()
    {
        return $this->thirdPartyVendorId;
    }

    /**
     * @param string $thirdPartyVendorId
     */
    public function setThirdPartyVendorId($thirdPartyVendorId)
    {
        $this->thirdPartyVendorId = $thirdPartyVendorId;
    }

    /**
     * @return string
     */
    public function getVoucherId()
    {
        return $this->voucherId;
    }

    /**
     * @param string $voucherId
     */
    public function setVoucherId($voucherId)
    {
        $this->voucherId = $voucherId;
    }
}