<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS;

use SoapFault;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Connector as SOAPConnector;
use DeutschePost\Internetmarke\Connectors\Interfaces\Connector as ConnectorInterface;

/**
 * @method getProductList(array $array)
 */
class Connector extends SOAPConnector implements ConnectorInterface
{
    /**
     * @var string
     */
    const SERVICE_WSDL_URL = 'https://prodws.deutschepost.de:8443/ProdWSProvider_1_1/prodws?wsdl';

    /**
     * @var RequestFactory
     */
    protected $requestFactory;

    /**
     * @var ResponseFactory
     */
    protected $responseFactory;

    /**
     * Connector constructor.
     *
     * @param string $username Merchant Username
     * @param string $password Merchant Password
     * @throws SoapFault
     */
    public function __construct($username, $password)
    {
        $this->requestFactory = new RequestFactory();
        $this->responseFactory = new ResponseFactory();

        $this->initWSS(
            self::SERVICE_WSDL_URL,
            $username,
            $password
        );
    }
}