<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class GetCatalog extends AbstractRequest
{
    /**
     * GetCatalog constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('mandantID', $arguments)) {
            throw new Exception('Argument mandantID is missing from the GetCatalog request');
        }

        if (!array_key_exists('subMandantID', $arguments)) {
            throw new Exception('Argument subMandantID is missing from the GetCatalog request');
        }

        if (!array_key_exists('catalogName', $arguments)) {
            throw new Exception('Argument catalogName is missing from the GetCatalog request');
        }

        $this->setArgument('mandantID', $arguments['mandantID']);
        $this->setArgument('subMandantID', $arguments['subMandantID']);
        $this->setArgument('catalogName', $arguments['catalogName']);

        /*
            List of allowed values for catalogName

            Dokumententyp
            Entgeltzone
            Feiertag
            Frankierart
            ID-Quellen
            Land
            L\u00e4ndergruppe
            PPL Version
            Premiumadressvariante
            Produktkategorie
            Produktnutzung
            Softwareversionen
            Sparte
            Zusatzleistung
            Zust\u00e4ndigkeit
        */
    }
}
