<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class GetCatalogList extends AbstractRequest
{
    /**
     * GetCatalogList constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('mandantID', $arguments)) {
            throw new Exception('Argument mandantID is missing from the GetCatalogList request');
        }

        if (!array_key_exists('subMandantID', $arguments)) {
            throw new Exception('Argument subMandantID is missing from the GetCatalogList request');
        }

        if (!array_key_exists('catalogProperties', $arguments)) {
            throw new Exception('Argument catalogProperties is missing from the GetCatalogList request');
        }

        $this->setArgument('mandantID', $arguments['mandantID']);
        $this->setArgument('subMandantID', $arguments['subMandantID']);
        $this->setArgument('catalogProperties', $arguments['catalogProperties']);
    }
}
