<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class GetProductList extends AbstractRequest
{
    /**
     * GetProductList constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('mandantID', $arguments)) {
            throw new Exception('Argument mandantID is missing from the GetProductList request');
        }

        if (!array_key_exists('subMandantID', $arguments)) {
            throw new Exception('Argument subMandantID is missing from the GetProductList request');
        }

        if (!array_key_exists('timestamp', $arguments)) {
            throw new Exception('Argument timestamp is missing from the GetProductList request');
        }

        if (!array_key_exists('dedicatedProducts', $arguments)) {
            throw new Exception('Argument dedicatedProducts is missing from the GetProductList request');
        }

        if (!array_key_exists('responseMode', $arguments)) {
            throw new Exception('Argument responseMode is missing from the GetProductList request');
        }

        if (!array_key_exists('onlyChanges', $arguments)) {
            throw new Exception('Argument onlyChanges is missing from the GetProductList request');
        }

        if (!array_key_exists('referenceDate', $arguments)) {
            throw new Exception('Argument referenceDate is missing from the GetProductList request');
        }

        if (!array_key_exists('shortList', $arguments)) {
            throw new Exception('Argument shortList is missing from the GetProductList request');
        }

        $this->setArgument('mandantID', $arguments['mandantID']);
        $this->setArgument('subMandantID', $arguments['subMandantID']);
        $this->setArgument('timestamp', $arguments['timestamp']);
        $this->setArgument('dedicatedProducts', $arguments['dedicatedProducts']);
        $this->setArgument('responseMode', $arguments['responseMode']);
        $this->setArgument('onlyChanges', $arguments['onlyChanges']);
        $this->setArgument('referenceDate', $arguments['referenceDate']);
        $this->setArgument('shortList', $arguments['shortList']);
    }
}
