<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class RegisterEMailAdress extends AbstractRequest
{
    /**
     * RegisterEMailAdress constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('mandantID', $arguments)) {
            throw new Exception('Argument mandantID is missing from the RegisterEMailAdress request');
        }

        if (!array_key_exists('eMailAdress', $arguments)) {
            throw new Exception('Argument eMailAdress is missing from the RegisterEMailAdress request');
        }

        if (!array_key_exists('subMandant', $arguments)) {
            throw new Exception('Argument subMandant is missing from the RegisterEMailAdress request');
        }

        if (!array_key_exists('overwrite', $arguments)) {
            throw new Exception('Argument overwrite is missing from the RegisterEMailAdress request');
        }

        $this->setArgument('mandantID', $arguments['mandantID']);
        $this->setArgument('eMailAdress', $arguments['eMailAdress']);
        $this->setArgument('subMandant', $arguments['subMandant']);
        $this->setArgument('overwrite', $arguments['overwrite']);
    }
}
