<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Request;

use Exception;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Request as AbstractRequest;

class RegisterNotification extends AbstractRequest
{
    /**
     * RegisterNotification constructor.
     *
     * @param array $arguments
     *
     * @throws Exception
     */
    public function __construct($arguments)
    {
        if (!is_array($arguments)) {
            throw new Exception('Invalid request arguments');
        }

        if (!array_key_exists('mandantID', $arguments)) {
            throw new Exception('Argument mandantID is missing from the RegisterNotification request');
        }

        if (!array_key_exists('subMandant', $arguments)) {
            throw new Exception('Argument subMandant is missing from the RegisterNotification request');
        }

        if (!array_key_exists('url', $arguments)) {
            throw new Exception('Argument url is missing from the RegisterNotification request');
        }


        $this->setArgument('mandantID', $arguments['mandantID']);
        $this->setArgument('subMandant', $arguments['subMandant']);
        $this->setArgument('url', $arguments['url']);
    }
}
