<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Response as AbstractResponse;

class GetCatalogList extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var array
     */
    protected $catalogList;

    /**
     * @var string
     */
    protected $message;

    /**
     * GetCatalog constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse($responseObject);
        $this->parseResponse($responseObject);
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        if (property_exists($responseObject, 'catalog')) {
            $this->setCatalogList($responseObject->catalog);
        }

        if (property_exists($responseObject, 'message')) {
            $this->setMessage($responseObject->message);
        }
    }

    /**
     * @return array
     */
    public function getCatalogList()
    {
        return $this->catalogList;
    }

    /**
     * @param array $catalogList
     */
    public function setCatalogList($catalogList)
    {
        $this->catalogList = $catalogList;
    }

    /**
     * @return string
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * @param string $message
     */
    public function setMessage($message)
    {
        $this->message = $message;
    }
}
