<?php

namespace DeutschePost\Internetmarke\Connectors\ProdWS\Response;

use Exception;
use stdClass;
use DeutschePost\Internetmarke\Connectors\Abstracts\SOAP\Response as AbstractResponse;

class GetProductChangeInformation extends AbstractResponse
{
    /**
     * @var bool
     */
    protected $isValidObject = false;

    /**
     * @var bool
     */
    protected $changesAvailable;

    /**
     * @var string
     */
    protected $providingDate;

    /**
     * GetProductChangeInformation constructor.
     *
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    public function __construct($responseObject)
    {
        $this->validateResponse($responseObject);
        $this->parseResponse($responseObject);
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function validateResponse($responseObject)
    {
        if (!$responseObject) {
            throw new Exception('Invalid response object');
        }

        $this->isValidObject = true;
    }

    /**
     * @param stdClass $responseObject
     *
     * @throws Exception
     */
    protected function parseResponse($responseObject)
    {
        if (!$this->isValidObject) {
            throw new Exception('Invalid response object');
        }

        if (property_exists($responseObject, 'changesAvailable')) {
            $this->setChangesAvailable($responseObject->changesAvailable);
        }

        if (property_exists($responseObject, 'providingDate')) {
            $this->setProvidingDate($responseObject->providingDate);
        }
    }

    /**
     * @return bool
     */
    public function isChangesAvailable()
    {
        return $this->changesAvailable;
    }

    /**
     * @param bool $changesAvailable
     */
    public function setChangesAvailable($changesAvailable)
    {
        $this->changesAvailable = $changesAvailable;
    }

    /**
     * @return string
     */
    public function getProvidingDate()
    {
        return $this->providingDate;
    }

    /**
     * @param string $providingDate
     */
    public function setProvidingDate($providingDate)
    {
        $this->providingDate = $providingDate;
    }
}
