<?php

namespace DeutschePost\Internetmarke\Enums;

defined('ABSPATH') || exit;

abstract class ShipmentStatus
{
    const PREPARED      = 0;
    const READY_TO_SHIP = 1;
    const SHIPPED       = 2;
    const DELIVERED     = 3;
    const REFUNDED      = 4;
    const RETURNED      = 5;
    const DELETED       = 6;
    const FAILED        = 7;

    /**
     * @var array
     */
    public static $status = array(
        'prepared'      => self::PREPARED,
        'ready_to_ship' => self::READY_TO_SHIP,
        'shipped'       => self::SHIPPED,
        'delivered'     => self::DELIVERED,
        'refunded'      => self::REFUNDED,
        'returned'      => self::RETURNED,
        'deleted'       => self::DELETED,
        'failed'        => self::FAILED
    );

    /**
     * @param string $status
     * @return string
     */
    public static function i18n($status)
    {
        switch ($status) {
            case self::PREPARED:
                $i18n = __('Prepared', 'woo-dp-internetmarke');
                break;
            case self::READY_TO_SHIP:
                $i18n = __('Ready to ship', 'woo-dp-internetmarke');
                break;
            case self::SHIPPED:
                $i18n = __('Shipped', 'woo-dp-internetmarke');
                break;
            case self::DELIVERED:
                $i18n = __('Delivered', 'woo-dp-internetmarke');
                break;
            case self::REFUNDED:
                $i18n = __('Refunded', 'woo-dp-internetmarke');
                break;
            case self::RETURNED:
                $i18n = __('Returned', 'woo-dp-internetmarke');
                break;
            case self::DELETED:
                $i18n = __('Deleted', 'woo-dp-internetmarke');
                break;
            case self::FAILED:
                $i18n = __('Failed', 'woo-dp-internetmarke');
                break;
            default:
                $i18n = __('Unknown', 'woo-dp-internetmarke');
                break;
        }

        return $i18n;
    }

    public static function getSlug($status)
    {
        switch ($status) {
            case self::PREPARED:
                $slug = 'prepared';
                break;
            case self::READY_TO_SHIP:
                $slug = 'ready_to_ship';
                break;
            case self::SHIPPED:
                $slug = 'shipped';
                break;
            case self::DELIVERED:
                $slug = 'delivered';
                break;
            case self::REFUNDED:
                $slug = 'refunded';
                break;
            case self::RETURNED:
                $slug = 'returned';
                break;
            case self::DELETED:
                $slug = 'deleted';
                break;
            case self::FAILED:
                $slug = 'failed';
                break;
            default:
                $slug = 'unknown';
                break;
        }

        return $slug;
    }
}