<?php

namespace DeutschePost\Internetmarke\Integrations\Host;

use Exception;
use DeutschePost\Internetmarke\Abstracts\Singleton;
use DeutschePost\Internetmarke\Connectors\ForkLane\Connector as ForkLaneConnector;
use function DeutschePost\Internetmarke\Internetmarke;

class ForkLane extends Singleton
{
    /**
     * @var string
     */
    const PORTFOLIO_ELEMENT = 'p00027';

    /**
     * @var string
     */
    const MARKETPLACE = '1';

    /**
     * @var ForkLaneConnector
     */
    protected $forkLaneConnector;

    /**
     * ForkLane constructor.
     */
    public function __construct() {
        $this->forkLaneConnector = new ForkLaneConnector();
    }

    public function activatePlugin()
    {
        try {
            $this->forkLaneConnector->activatePlugin();
        } catch (Exception $e) {
        }
    }

    public function deactivatePlugin()
    {
        try {
            $this->forkLaneConnector->deactivatePlugin();
        } catch (Exception $e) {
        }
    }

    public function getPartnerCredentials()
    {
        try {
            $this->forkLaneConnector->getPartnerCredentials();
        } catch (Exception $e) {
        }
    }

    public function updateProductList()
    {
        try {
            $this->forkLaneConnector->updateProductList(
                array(
                    'data' => $this->createInfoObject('UPDATE_PRODUCT_LIST')
                )
            );
        } catch (Exception $e) {
            Internetmarke()->logger()->error($e->getMessage(), $e->getTrace());
        }
    }

    /**
     * @param string $event
     *
     * @return array
     */
    private function createInfoObject($event)
    {
        return array(
            'header' => array(
                'id' => '',
                'parent_id' => '',
                'portfolio_element' => self::PORTFOLIO_ELEMENT,
                'client' => '',
                'node' => '',
                'version' => '1-0-1',
                'type' => 'SINGLE',
                'status' => 'NEW',
                'encryption_level' => '0',
                'encryption_key' => '',
                'process_history' => array(
                    array(
                        'step' => '1',
                        'timestamp' => gmdate('Y-m-d H:i:s'),
                        'unit' => '',
                        'type' => 'SERVICE_REQUEST',
                        'status' => 'NEW',
                        'status_comment' => ''
                    )
                )
            ),
            'container' => array(
                array(
                    'header' => array(
                        'id' => '',
                        'parent_id' => '',
                        'portfolio_element' => self::PORTFOLIO_ELEMENT,
                        'client' => '',
                        'node' => '',
                        'version' => '1-0-1',
                        'type' => 'SERVICE_REQUEST',
                        'status' => 'NEW',
                        'encryption_level' => '0',
                        'encryption_key' => ''
                    ),
                    'payload' => array(
                        'siteUrl' => get_site_url(),
                        'marketplace' => self::MARKETPLACE,
                        'event' => $event
                    )
                )
            )
        );
    }
}