<?php

namespace DeutschePost\Internetmarke\Interfaces;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;

defined('ABSPATH') || exit;

interface ResourceRepository
{
    /**
     * @param array $data
     *
     * @return mixed
     */
    public function insert($data);

    /**
     * @param int $id
     *
     * @return mixed
     */
    public function find($id);

    /**
     * @param array $query
     *
     * @return mixed
     */
    public function findBy($query);

    /**
     * @param null|string $orderBy
     * @param null|string $sort
     *
     * @return mixed
     */
    public function findAll($orderBy = null, $sort = null);

    /**
     * @param array $query
     *
     * @return mixed
     */
    public function findAllBy($query);

    /**
     * @param int   $id
     * @param array $data
     *
     * @return mixed
     */
    public function update($id, $data);

    /**
     * @param array $query
     * @param array $data
     *
     * @return int|bool
     */
    public function updateBy($query, $data);

    /**
     * @param array $ids
     *
     * @return mixed
     */
    public function delete($ids);

    /**
     * @param array $query
     *
     * @return mixed
     */
    public function deleteBy($query);

    /**
     * @param string $queryString
     * @param string $output
     *
     * @return mixed
     */
    public function query($queryString, $output = OBJECT);

    /**
     * @return mixed
     */
    public function truncate();

    /**
     * @param stdClass $dataObject
     *
     * @return AbstractResourceModel
     */
    public function createResourceModel($dataObject);
}