<?php

namespace DeutschePost\Internetmarke\Models\Credentials;

use stdClass;
use DeutschePost\Internetmarke\Interfaces\CredentialsModel as CredentialsModelInterface;

defined('ABSPATH') || exit;

class Partner implements CredentialsModelInterface
{
    /**
     * @var stdClass
     */
    protected $credentials;

    /**
     * Partner constructor.
     *
     * @param stdClass $credentials
     */
    public function __construct($credentials)
    {
        $this->credentials = $credentials;
    }

    /**
     * @param string $service
     * @param string $key
     *
     * @return string
     */
    public function get($service, $key)
    {
        return $this->credentials->{$service}->{$key};
    }
}