<?php

namespace DeutschePost\Internetmarke\Models\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;
use DeutschePost\Internetmarke\Interfaces\Model as ModelInterface;

defined('ABSPATH') || exit;

class PageFormat extends AbstractResourceModel implements ModelInterface
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var int
     */
    protected $formatId;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var int
     */
    protected $isAddressPossible;

    /**
     * @var int
     */
    protected $isImagePossible;

    /**
     * @var string
     */
    protected $description;

    /**
     * @var string
     */
    protected $pageType;

    /**
     * @var string
     */
    protected $pageLayout;

    /**
     * @var string
     */
    protected $metaInsertDt;

    /**
     * @var int
     */
    protected $metaInsertBy;

    /**
     * @var string
     */
    protected $metaUpdateDt;

    /**
     * @var int
     */
    protected $metaUpdateBy;

    /**
     * PageFormat constructor.
     *
     * @param null|stdClass $pageFormat
     */
    public function __construct($pageFormat = null)
    {
        if (!$pageFormat instanceof stdClass) {
            return;
        }

        $this->setId($pageFormat->id);
        $this->setFormatId($pageFormat->format_id);
        $this->setName($pageFormat->name);
        $this->setIsAddressPossible($pageFormat->is_address_possible);
        $this->setIsImagePossible($pageFormat->is_image_possible);
        $this->setDescription($pageFormat->description);
        $this->setPageType($pageFormat->page_type);
        $this->setPageLayout($pageFormat->page_layout);
        $this->setMetaInsertDt($pageFormat->meta_insert_dt);
        $this->setMetaInsertBy($pageFormat->meta_insert_by);
        $this->setMetaUpdateDt($pageFormat->meta_update_dt);
        $this->setMetaUpdateBy($pageFormat->meta_update_by);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getFormatId()
    {
        return $this->formatId;
    }

    /**
     * @param int $formatId
     */
    public function setFormatId($formatId)
    {
        $this->formatId = $formatId;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getIsAddressPossible()
    {
        return $this->isAddressPossible;
    }

    /**
     * @param int $isAddressPossible
     */
    public function setIsAddressPossible($isAddressPossible)
    {
        $this->isAddressPossible = $isAddressPossible;
    }

    /**
     * @return int
     */
    public function getIsImagePossible()
    {
        return $this->isImagePossible;
    }

    /**
     * @param int $isImagePossible
     */
    public function setIsImagePossible($isImagePossible)
    {
        $this->isImagePossible = $isImagePossible;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getPageType()
    {
        return $this->pageType;
    }

    /**
     * @param string $pageType
     */
    public function setPageType($pageType)
    {
        $this->pageType = $pageType;
    }

    /**
     * @return string
     */
    public function getPageLayout()
    {
        return $this->pageLayout;
    }

    /**
     * @param string $pageLayout
     */
    public function setPageLayout($pageLayout)
    {
        $this->pageLayout = $pageLayout;
    }

    /**
     * @return string
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param string $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return int
     */
    public function getMetaInsertBy()
    {
        return $this->metaInsertBy;
    }

    /**
     * @param int $metaInsertBy
     */
    public function setMetaInsertBy($metaInsertBy)
    {
        $this->metaInsertBy = $metaInsertBy;
    }

    /**
     * @return string
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param string $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }

    /**
     * @return int
     */
    public function getMetaUpdateBy()
    {
        return $this->metaUpdateBy;
    }

    /**
     * @param int $metaUpdateBy
     */
    public function setMetaUpdateBy($metaUpdateBy)
    {
        $this->metaUpdateBy = $metaUpdateBy;
    }
}