<?php

namespace DeutschePost\Internetmarke\Models\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;
use DeutschePost\Internetmarke\Interfaces\Model as ModelInterface;

defined('ABSPATH') || exit;

class ProductAdditional extends AbstractResourceModel implements ModelInterface
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $prodwsId;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var int
     */
    protected $version;

    /**
     * @var string
     */
    protected $annotation;

    /**
     * @var string
     */
    protected $destination;

    /**
     * @var string
     */
    protected $validFrom;

    /**
     * @var string
     */
    protected $validTo;

    /**
     * @var int
     */
    protected $price;

    /**
     * @var string
     */
    protected $metaInsertDt;

    /**
     * @var int
     */
    protected $metaInsertBy;

    /**
     * @var string
     */
    protected $metaUpdateDt;

    /**
     * @var int
     */
    protected $metaUpdateBy;

    /**
     * ProductAdditional constructor.
     *
     * @param null|stdClass $productAdditional
     */
    public function __construct($productAdditional = null)
    {
        if (!$productAdditional instanceof stdClass) {
            return;
        }

        $this->setId($productAdditional->id);
        $this->setProdwsId($productAdditional->prodws_id);
        $this->setName($productAdditional->name);
        $this->setVersion($productAdditional->version);
        $this->setAnnotation($productAdditional->annotation);
        $this->setDestination($productAdditional->destination);
        $this->setValidFrom($productAdditional->valid_from);
        $this->setValidTo($productAdditional->valid_to);
        $this->setPrice($productAdditional->price);
        $this->setMetaInsertDt($productAdditional->meta_insert_dt);
        $this->setMetaInsertBy($productAdditional->meta_insert_by);
        $this->setMetaUpdateDt($productAdditional->meta_update_dt);
        $this->setMetaUpdateBy($productAdditional->meta_update_by);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getProdwsId()
    {
        return $this->prodwsId;
    }

    /**
     * @param string $prodwsId
     */
    public function setProdwsId($prodwsId)
    {
        $this->prodwsId = $prodwsId;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * @param int $version
     */
    public function setVersion($version)
    {
        $this->version = $version;
    }

    /**
     * @return string
     */
    public function getAnnotation()
    {
        return $this->annotation;
    }

    /**
     * @param string $annotation
     */
    public function setAnnotation($annotation)
    {
        $this->annotation = $annotation;
    }

    /**
     * @return string
     */
    public function getDestination()
    {
        return $this->destination;
    }

    /**
     * @param string $destination
     */
    public function setDestination($destination)
    {
        $this->destination = $destination;
    }

    /**
     * @return string
     */
    public function getValidFrom()
    {
        return $this->validFrom;
    }

    /**
     * @param string $validFrom
     */
    public function setValidFrom($validFrom)
    {
        $this->validFrom = $validFrom;
    }

    /**
     * @return string
     */
    public function getValidTo()
    {
        return $this->validTo;
    }

    /**
     * @param string $validTo
     */
    public function setValidTo($validTo)
    {
        $this->validTo = $validTo;
    }

    /**
     * @return int
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * @param int $price
     */
    public function setPrice($price)
    {
        $this->price = $price;
    }

    /**
     * @return string
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param string $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return int
     */
    public function getMetaInsertBy()
    {
        return $this->metaInsertBy;
    }

    /**
     * @param int $metaInsertBy
     */
    public function setMetaInsertBy($metaInsertBy)
    {
        $this->metaInsertBy = $metaInsertBy;
    }

    /**
     * @return string
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param string $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }

    /**
     * @return int
     */
    public function getMetaUpdateBy()
    {
        return $this->metaUpdateBy;
    }

    /**
     * @param int $metaUpdateBy
     */
    public function setMetaUpdateBy($metaUpdateBy)
    {
        $this->metaUpdateBy = $metaUpdateBy;
    }
}