<?php

namespace DeutschePost\Internetmarke\Models\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;
use DeutschePost\Internetmarke\Interfaces\Model as ModelInterface;

defined('ABSPATH') || exit;

class ProductBasic extends AbstractResourceModel implements ModelInterface
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $prodwsId;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var int
     */
    protected $version;

    /**
     * @var string
     */
    protected $description;

    /**
     * @var string
     */
    protected $destination;

    /**
     * @var string
     */
    protected $validFrom;

    /**
     * @var string
     */
    protected $validTo;

    /**
     * @var int
     */
    protected $price;

    /**
     * @var string
     */
    protected $metaInsertDt;

    /**
     * @var int
     */
    protected $metaInsertBy;

    /**
     * @var string
     */
    protected $metaUpdateDt;

    /**
     * @var int
     */
    protected $metaUpdateBy;

    /**
     * ProductBasic constructor.
     *
     * @param null|stdClass $productBasic
     */
    public function __construct($productBasic = null)
    {
        if (!$productBasic instanceof stdClass) {
            return;
        }

        $this->setId($productBasic->id);
        $this->setProdwsId($productBasic->prodws_id);
        $this->setName($productBasic->name);
        $this->setVersion($productBasic->version);
        $this->setDescription($productBasic->description);
        $this->setDestination($productBasic->destination);
        $this->setValidFrom($productBasic->valid_from);
        $this->setValidTo($productBasic->valid_to);
        $this->setPrice($productBasic->price);
        $this->setMetaInsertDt($productBasic->meta_insert_dt);
        $this->setMetaInsertBy($productBasic->meta_insert_by);
        $this->setMetaUpdateDt($productBasic->meta_update_dt);
        $this->setMetaUpdateBy($productBasic->meta_update_by);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getProdwsId()
    {
        return $this->prodwsId;
    }

    /**
     * @param string $prodwsId
     */
    public function setProdwsId($prodwsId)
    {
        $this->prodwsId = $prodwsId;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return int
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * @param int $version
     */
    public function setVersion($version)
    {
        $this->version = $version;
    }

    /**
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param string $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * @return string
     */
    public function getDestination()
    {
        return $this->destination;
    }

    /**
     * @param string $destination
     */
    public function setDestination($destination)
    {
        $this->destination = $destination;
    }

    /**
     * @return string
     */
    public function getValidFrom()
    {
        return $this->validFrom;
    }

    /**
     * @param string $validFrom
     */
    public function setValidFrom($validFrom)
    {
        $this->validFrom = $validFrom;
    }

    /**
     * @return string
     */
    public function getValidTo()
    {
        return $this->validTo;
    }

    /**
     * @param string $validTo
     */
    public function setValidTo($validTo)
    {
        $this->validTo = $validTo;
    }

    /**
     * @return int
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * @param int $price
     */
    public function setPrice($price)
    {
        $this->price = $price;
    }

    /**
     * @return string
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param string $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return int
     */
    public function getMetaInsertBy()
    {
        return $this->metaInsertBy;
    }

    /**
     * @param int $metaInsertBy
     */
    public function setMetaInsertBy($metaInsertBy)
    {
        $this->metaInsertBy = $metaInsertBy;
    }

    /**
     * @return string
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param string $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }

    /**
     * @return int
     */
    public function getMetaUpdateBy()
    {
        return $this->metaUpdateBy;
    }

    /**
     * @param int $metaUpdateBy
     */
    public function setMetaUpdateBy($metaUpdateBy)
    {
        $this->metaUpdateBy = $metaUpdateBy;
    }
}