<?php

namespace DeutschePost\Internetmarke\Models\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;
use DeutschePost\Internetmarke\Interfaces\Model as ModelInterface;

defined('ABSPATH') || exit;

class ProductSales extends AbstractResourceModel implements ModelInterface
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $prodwsId;

    /**
     * @var int
     */
    protected $productCode;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var string
     */
    protected $annotation;

    /**
     * @var string
     */
    protected $destination;

    /**
     * @var int
     */
    protected $version;

    /**
     * @var string
     */
    protected $validFrom;

    /**
     * @var string
     */
    protected $validTo;

    /**
     * @var int
     */
    protected $price;

    /**
     * @var int
     */
    protected $ppl;

    /**
     * @var string
     */
    protected $informationText;

    /**
     * @var int
     */
    protected $lengthMin;

    /**
     * @var int
     */
    protected $lengthMax;

    /**
     * @var string
     */
    protected $lengthUnit;

    /**
     * @var int
     */
    protected $widthMin;

    /**
     * @var int
     */
    protected $widthMax;

    /**
     * @var string
     */
    protected $widthUnit;

    /**
     * @var int
     */
    protected $heightMin;

    /**
     * @var int
     */
    protected $heightMax;

    /**
     * @var string
     */
    protected $heightUnit;

    /**
     * @var int
     */
    protected $weightMin;

    /**
     * @var int
     */
    protected $weightMax;

    /**
     * @var string
     */
    protected $weightUnit;

    /**
     * @var string
     */
    protected $metaInsertDt;

    /**
     * @var int
     */
    protected $metaInsertBy;

    /**
     * @var string
     */
    protected $metaUpdateDt;

    /**
     * @var int
     */
    protected $metaUpdateBy;

    /**
     * ProductSales constructor.
     *
     * @param null|stdClass $productSales
     */
    public function __construct($productSales = null)
    {
        if (!$productSales instanceof stdClass) {
            return;
        }

        $this->setId($productSales->id);
        $this->setProdwsId($productSales->prodws_id);
        $this->setProductCode($productSales->product_code);
        $this->setName($productSales->name);
        $this->setAnnotation($productSales->annotation);
        $this->setDestination($productSales->destination);
        $this->setVersion($productSales->version);
        $this->setValidFrom($productSales->valid_from);
        $this->setValidTo($productSales->valid_to);
        $this->setPrice($productSales->price);
        $this->setPpl($productSales->ppl);
        $this->setInformationText($productSales->information_text);
        $this->setLengthMin($productSales->length_min);
        $this->setLengthMax($productSales->length_max);
        $this->setLengthUnit($productSales->length_unit);
        $this->setWidthMin($productSales->width_min);
        $this->setWidthMax($productSales->width_max);
        $this->setWidthUnit($productSales->width_unit);
        $this->setHeightMin($productSales->height_min);
        $this->setHeightMax($productSales->height_max);
        $this->setHeightUnit($productSales->height_unit);
        $this->setWeightMin($productSales->weight_min);
        $this->setWeightMax($productSales->weight_max);
        $this->setWeightUnit($productSales->weight_unit);
        $this->setMetaInsertDt($productSales->meta_insert_dt);
        $this->setMetaInsertBy($productSales->meta_insert_by);
        $this->setMetaUpdateDt($productSales->meta_update_dt);
        $this->setMetaUpdateBy($productSales->meta_update_by);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getProdwsId()
    {
        return $this->prodwsId;
    }

    /**
     * @param string $prodwsId
     */
    public function setProdwsId($prodwsId)
    {
        $this->prodwsId = $prodwsId;
    }

    /**
     * @return int
     */
    public function getProductCode()
    {
        return $this->productCode;
    }

    /**
     * @param int $productCode
     */
    public function setProductCode($productCode)
    {
        $this->productCode = $productCode;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getAnnotation()
    {
        return $this->annotation;
    }

    /**
     * @param string $annotation
     */
    public function setAnnotation($annotation)
    {
        $this->annotation = $annotation;
    }

    /**
     * @return string
     */
    public function getDestination()
    {
        return $this->destination;
    }

    /**
     * @param string $destination
     */
    public function setDestination($destination)
    {
        $this->destination = $destination;
    }

    /**
     * @return int
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * @param int $version
     */
    public function setVersion($version)
    {
        $this->version = $version;
    }

    /**
     * @return string
     */
    public function getValidFrom()
    {
        return $this->validFrom;
    }

    /**
     * @param string $validFrom
     */
    public function setValidFrom($validFrom)
    {
        $this->validFrom = $validFrom;
    }

    /**
     * @return string
     */
    public function getValidTo()
    {
        return $this->validTo;
    }

    /**
     * @param string $validTo
     */
    public function setValidTo($validTo)
    {
        $this->validTo = $validTo;
    }

    /**
     * @return int
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * @param int $price
     */
    public function setPrice($price)
    {
        $this->price = $price;
    }

    /**
     * @return int
     */
    public function getPpl()
    {
        return $this->ppl;
    }

    /**
     * @param int $ppl
     */
    public function setPpl($ppl)
    {
        $this->ppl = $ppl;
    }

    /**
     * @return string
     */
    public function getInformationText()
    {
        return $this->informationText;
    }

    /**
     * @param string $informationText
     */
    public function setInformationText($informationText)
    {
        $this->informationText = $informationText;
    }

    /**
     * @return int
     */
    public function getLengthMin()
    {
        return $this->lengthMin;
    }

    /**
     * @param int $lengthMin
     */
    public function setLengthMin($lengthMin)
    {
        $this->lengthMin = $lengthMin;
    }

    /**
     * @return int
     */
    public function getLengthMax()
    {
        return $this->lengthMax;
    }

    /**
     * @param int $lengthMax
     */
    public function setLengthMax($lengthMax)
    {
        $this->lengthMax = $lengthMax;
    }

    /**
     * @return string
     */
    public function getLengthUnit()
    {
        return $this->lengthUnit;
    }

    /**
     * @param string $lengthUnit
     */
    public function setLengthUnit($lengthUnit)
    {
        $this->lengthUnit = $lengthUnit;
    }

    /**
     * @return int
     */
    public function getWidthMin()
    {
        return $this->widthMin;
    }

    /**
     * @param int $widthMin
     */
    public function setWidthMin($widthMin)
    {
        $this->widthMin = $widthMin;
    }

    /**
     * @return int
     */
    public function getWidthMax()
    {
        return $this->widthMax;
    }

    /**
     * @param int $widthMax
     */
    public function setWidthMax($widthMax)
    {
        $this->widthMax = $widthMax;
    }

    /**
     * @return string
     */
    public function getWidthUnit()
    {
        return $this->widthUnit;
    }

    /**
     * @param string $widthUnit
     */
    public function setWidthUnit($widthUnit)
    {
        $this->widthUnit = $widthUnit;
    }

    /**
     * @return int
     */
    public function getHeightMin()
    {
        return $this->heightMin;
    }

    /**
     * @param int $heightMin
     */
    public function setHeightMin($heightMin)
    {
        $this->heightMin = $heightMin;
    }

    /**
     * @return int
     */
    public function getHeightMax()
    {
        return $this->heightMax;
    }

    /**
     * @param int $heightMax
     */
    public function setHeightMax($heightMax)
    {
        $this->heightMax = $heightMax;
    }

    /**
     * @return string
     */
    public function getHeightUnit()
    {
        return $this->heightUnit;
    }

    /**
     * @param string $heightUnit
     */
    public function setHeightUnit($heightUnit)
    {
        $this->heightUnit = $heightUnit;
    }

    /**
     * @return int
     */
    public function getWeightMin()
    {
        return $this->weightMin;
    }

    /**
     * @param int $weightMin
     */
    public function setWeightMin($weightMin)
    {
        $this->weightMin = $weightMin;
    }

    /**
     * @return int
     */
    public function getWeightMax()
    {
        return $this->weightMax;
    }

    /**
     * @param int $weightMax
     */
    public function setWeightMax($weightMax)
    {
        $this->weightMax = $weightMax;
    }

    /**
     * @return string
     */
    public function getWeightUnit()
    {
        return $this->weightUnit;
    }

    /**
     * @param string $weightUnit
     */
    public function setWeightUnit($weightUnit)
    {
        $this->weightUnit = $weightUnit;
    }

    /**
     * @return string
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param string $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return int
     */
    public function getMetaInsertBy()
    {
        return $this->metaInsertBy;
    }

    /**
     * @param int $metaInsertBy
     */
    public function setMetaInsertBy($metaInsertBy)
    {
        $this->metaInsertBy = $metaInsertBy;
    }

    /**
     * @return string
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param string $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }

    /**
     * @return int
     */
    public function getMetaUpdateBy()
    {
        return $this->metaUpdateBy;
    }

    /**
     * @param int $metaUpdateBy
     */
    public function setMetaUpdateBy($metaUpdateBy)
    {
        $this->metaUpdateBy = $metaUpdateBy;
    }
}