<?php

namespace DeutschePost\Internetmarke\Models\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;
use DeutschePost\Internetmarke\Interfaces\Model as ModelInterface;

defined('ABSPATH') || exit;

class ShipmentAttachment extends AbstractResourceModel implements ModelInterface
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var int
     */
    protected $shipmentId;

    /**
     * @var string
     */
    protected $url;

    /**
     * @var int
     */
    protected $type;

    /**
     * @var string
     */
    protected $metaInsertDt;

    /**
     * @var string
     */
    protected $metaInsertBy;

    /**
     * @var string
     */
    protected $metaUpdateDt;

    /**
     * @var string
     */
    protected $metaUpdateBy;

    /**
     * ShipmentAttachment constructor.
     *
     * @param null|stdClass $shipmentAttachment
     */
    public function __construct($shipmentAttachment = null)
    {
        if (!$shipmentAttachment instanceof stdClass) {
            return;
        }

        $this->setId($shipmentAttachment->id);
        $this->setShipmentId($shipmentAttachment->shipment_id);
        $this->setUrl($shipmentAttachment->url);
        $this->setType($shipmentAttachment->type);
        $this->setMetaInsertDt($shipmentAttachment->meta_insert_dt);
        $this->setMetaInsertBy($shipmentAttachment->meta_insert_by);
        $this->setMetaUpdateDt($shipmentAttachment->meta_update_dt);
        $this->setMetaUpdateBy($shipmentAttachment->meta_update_by);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getShipmentId()
    {
        return $this->shipmentId;
    }

    /**
     * @param int $shipmentId
     */
    public function setShipmentId($shipmentId)
    {
        $this->shipmentId = $shipmentId;
    }

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param string $url
     */
    public function setUrl($url)
    {
        $this->url = $url;
    }

    /**
     * @return int
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param int $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param string $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return string
     */
    public function getMetaInsertBy()
    {
        return $this->metaInsertBy;
    }

    /**
     * @param string $metaInsertBy
     */
    public function setMetaInsertBy($metaInsertBy)
    {
        $this->metaInsertBy = $metaInsertBy;
    }

    /**
     * @return string
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param string $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }

    /**
     * @return string
     */
    public function getMetaUpdateBy()
    {
        return $this->metaUpdateBy;
    }

    /**
     * @param string $metaUpdateBy
     */
    public function setMetaUpdateBy($metaUpdateBy)
    {
        $this->metaUpdateBy = $metaUpdateBy;
    }
}