<?php

namespace DeutschePost\Internetmarke\Models\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Model as AbstractResourceModel;
use DeutschePost\Internetmarke\Interfaces\Model as ModelInterface;

defined('ABSPATH') || exit;

class ShipmentItem extends AbstractResourceModel implements ModelInterface
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var int
     */
    protected $shipmentId;

    /**
     * @var int
     */
    protected $orderId;

    /**
     * @var int
     */
    protected $productId;

    /**
     * @var int
     */
    protected $productQuantity;

    /**
     * @var int
     */
    protected $productPrice;

    /**
     * @var int
     */
    protected $productWeight;

    /**
     * @var string
     */
    protected $productHsCode;

    /**
     * @var string
     */
    protected $productCustomsDeclaration;

    /**
     * @var string
     */
    protected $productOrigin;

    /**
     * @var string
     */
    protected $metaInsertDt;

    /**
     * @var string
     */
    protected $metaInsertBy;

    /**
     * @var string
     */
    protected $metaUpdateDt;

    /**
     * @var string
     */
    protected $metaUpdateBy;

    /**
     * ShipmentItem constructor.
     *
     * @param null|stdClass $shipmentItem
     */
    public function __construct($shipmentItem = null)
    {
        if (!$shipmentItem instanceof stdClass) {
            return;
        }

        $this->setId($shipmentItem->id);
        $this->setShipmentId($shipmentItem->shipment_id);
        $this->setOrderId($shipmentItem->order_id);
        $this->setProductId($shipmentItem->product_id);
        $this->setProductQuantity($shipmentItem->product_quantity);
        $this->setProductPrice($shipmentItem->product_price);
        $this->setProductWeight($shipmentItem->product_weight);
        $this->setProductHsCode($shipmentItem->product_hs_code);
        $this->setProductCustomsDeclaration($shipmentItem->product_customs_declaration);
        $this->setProductOrigin($shipmentItem->product_origin);
        $this->setMetaInsertDt($shipmentItem->meta_insert_dt);
        $this->setMetaInsertBy($shipmentItem->meta_insert_by);
        $this->setMetaUpdateDt($shipmentItem->meta_update_dt);
        $this->setMetaUpdateBy($shipmentItem->meta_update_by);
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getShipmentId()
    {
        return $this->shipmentId;
    }

    /**
     * @param int $shipmentId
     */
    public function setShipmentId($shipmentId)
    {
        $this->shipmentId = $shipmentId;
    }

    /**
     * @return int
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param int $orderId
     */
    public function setOrderId($orderId)
    {
        $this->orderId = $orderId;
    }

    /**
     * @return int
     */
    public function getProductId()
    {
        return $this->productId;
    }

    /**
     * @param int $productId
     */
    public function setProductId($productId)
    {
        $this->productId = $productId;
    }

    /**
     * @return int
     */
    public function getProductQuantity()
    {
        return $this->productQuantity;
    }

    /**
     * @param int $productQuantity
     */
    public function setProductQuantity($productQuantity)
    {
        $this->productQuantity = $productQuantity;
    }

    /**
     * @return int
     */
    public function getProductPrice()
    {
        return $this->productPrice;
    }

    /**
     * @param int $productPrice
     */
    public function setProductPrice($productPrice)
    {
        $this->productPrice = $productPrice;
    }

    /**
     * @return int
     */
    public function getProductWeight()
    {
        return $this->productWeight;
    }

    /**
     * @param int $productWeight
     */
    public function setProductWeight($productWeight)
    {
        $this->productWeight = $productWeight;
    }

    /**
     * @return string
     */
    public function getProductHsCode()
    {
        return $this->productHsCode;
    }

    /**
     * @param string $productHsCode
     */
    public function setProductHsCode($productHsCode)
    {
        $this->productHsCode = $productHsCode;
    }

    /**
     * @return string
     */
    public function getProductCustomsDeclaration()
    {
        return $this->productCustomsDeclaration;
    }

    /**
     * @param string $productCustomsDeclaration
     */
    public function setProductCustomsDeclaration($productCustomsDeclaration)
    {
        $this->productCustomsDeclaration = $productCustomsDeclaration;
    }

    /**
     * @return string
     */
    public function getProductOrigin()
    {
        return $this->productOrigin;
    }

    /**
     * @param string $productOrigin
     */
    public function setProductOrigin($productOrigin)
    {
        $this->productOrigin = $productOrigin;
    }

    /**
     * @return string
     */
    public function getMetaInsertDt()
    {
        return $this->metaInsertDt;
    }

    /**
     * @param string $metaInsertDt
     */
    public function setMetaInsertDt($metaInsertDt)
    {
        $this->metaInsertDt = $metaInsertDt;
    }

    /**
     * @return string
     */
    public function getMetaInsertBy()
    {
        return $this->metaInsertBy;
    }

    /**
     * @param string $metaInsertBy
     */
    public function setMetaInsertBy($metaInsertBy)
    {
        $this->metaInsertBy = $metaInsertBy;
    }

    /**
     * @return string
     */
    public function getMetaUpdateDt()
    {
        return $this->metaUpdateDt;
    }

    /**
     * @param string $metaUpdateDt
     */
    public function setMetaUpdateDt($metaUpdateDt)
    {
        $this->metaUpdateDt = $metaUpdateDt;
    }

    /**
     * @return string
     */
    public function getMetaUpdateBy()
    {
        return $this->metaUpdateBy;
    }

    /**
     * @param string $metaUpdateBy
     */
    public function setMetaUpdateBy($metaUpdateBy)
    {
        $this->metaUpdateBy = $metaUpdateBy;
    }
}