<?php

namespace DeutschePost\Internetmarke\Products;

use DeutschePost\Internetmarke\Enums\AdditionalOptions as AdditionalOptionsEnum;

defined('ABSPATH') || exit;

class AdditionalProductList
{
    /**
     * Contains the pre-defined product list.
     * 
     * @var array
     */
    public $content;

    /**
     * AdditionalProductList constructor.
     */
    public function __construct()
    {
        $this->init();
    }

    public function init()
    {
        $this->content = [
            // Postkarte
            256 => [
                // Postkarte Integral + EINSCHREIBEN EINWURF
                [
                    'name' => AdditionalOptionsEnum::ESEW,
                    'prodwsId' => 488
                ],
                // Postkarte Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 535
                ],
                // Postkarte Integral + EINSCHREIBEN + EIGENHÄNDIG
                [
                    'name' => AdditionalOptionsEnum::ESEH,
                    'prodwsId' => 537
                ],
                // Postkarte + Prio
                [
                    'name' => AdditionalOptionsEnum::PRIO,
                    'prodwsId' => 12761
                ]
            ],
            // Standardbrief
            221 => [
                // Standardbrief Integral + EINSCHREIBEN EINWURF
                [
                    'name' => AdditionalOptionsEnum::ESEW,
                    'prodwsId' => 407
                ],
                // Standardbrief Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 412
                ],
                // Standardbrief Integral + EINSCHREIBEN + EIGENHÄNDIG
                [
                    'name' => AdditionalOptionsEnum::ESEH,
                    'prodwsId' => 414
                ],
                // Standardbrief + Prio
                [
                    'name' => AdditionalOptionsEnum::PRIO,
                    'prodwsId' => 12756
                ]
            ],
            // Kompaktbrief
            228 => [
                // Kompaktbrief Integral + EINSCHREIBEN EINWURF
                [
                    'name' => AdditionalOptionsEnum::ESEW,
                    'prodwsId' => 416
                ],
                // Kompaktbrief Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 466
                ],
                // Kompaktbrief Integral + EINSCHREIBEN + EIGENHÄNDIG
                [
                    'name' => AdditionalOptionsEnum::ESEH,
                    'prodwsId' => 468
                ],
                // Kompaktbrief + Prio
                [
                    'name' => AdditionalOptionsEnum::PRIO,
                    'prodwsId' => 12757
                ]
            ],
            // Großbrief
            235 => [
                // Großbrief Integral + EINSCHREIBEN EINWURF
                [
                    'name' => AdditionalOptionsEnum::ESEW,
                    'prodwsId' => 470
                ],
                // Großbrief Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 472
                ],
                // Großbrief Integral + EINSCHREIBEN + EIGENHÄNDIG
                [
                    'name' => AdditionalOptionsEnum::ESEH,
                    'prodwsId' => 474
                ],
                // Großbrief + Prio
                [
                    'name' => AdditionalOptionsEnum::PRIO,
                    'prodwsId' => 12758
                ]
            ],
            // Maxibrief
            242 => [
                // Maxibrief Integral + EINSCHREIBEN EINWURF
                [
                    'name' => AdditionalOptionsEnum::ESEW,
                    'prodwsId' => 476
                ],
                // Maxibrief Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 478
                ],
                // Maxibrief Integral + EINSCHREIBEN + EIGENHÄNDIG
                [
                    'name' => AdditionalOptionsEnum::ESEH,
                    'prodwsId' => 480
                ],
                // Maxibrief + Prio
                [
                    'name' => AdditionalOptionsEnum::PRIO,
                    'prodwsId' => 12759
                ]
            ],
            // Maxibrief bis 2000g
            249 => [
                // Maxibrief Integral + EINSCHREIBEN EINWURF + Zusatzentgelt MBf
                [
                    'name' => AdditionalOptionsEnum::ESEW . ' + ' . AdditionalOptionsEnum::ZMBF,
                    'prodwsId' => 482
                ],
                // Maxibrief Integral + EINSCHREIBEN + Zusatzentgelt MBf
                [
                    'name' => AdditionalOptionsEnum::ESCH . ' + ' . AdditionalOptionsEnum::ZMBF,
                    'prodwsId' => 484
                ],
                // Maxibrief Integral + EINSCHREIBEN + EIGENHÄNDIG + Zusatzentgelt MBf
                [
                    'name' => AdditionalOptionsEnum::ESEH . ' + ' . AdditionalOptionsEnum::ZMBF,
                    'prodwsId' => 486
                ],
                // Maxibrief bis 2000 g + Zusatzentgelt MBf + Prio
                [
                    'name' => AdditionalOptionsEnum::ZMBF . ' + ' . AdditionalOptionsEnum::PRIO,
                    'prodwsId' => 12760
                ]
            ],

            // Postkarte Intern. GK
            1517 => [
                // Postkarte Intern. GK Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1603
                ]
            ],
            // Standardbrief Intern. GK
            659 => [
                // Standardbrief Intern. GK Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1527
                ]
            ],
            // Kompaktbrief Intern. GK
            1439 => [
                // Kompaktbrief Intern. GK Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1555
                ]
            ],
            // Großbrief Intern. GK
            1449 => [
                // Großbrief Intern. GK Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1563
                ]
            ],
            // Maxibrief Intern. bis 1.000g GK
            1477 => [
                // Maxibrief Intern. bis 1.000g GK Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1571
                ]
            ],
            // Maxibrief Intern. bis 2.000g GK
            1487 => [
                // Maxibrief Intern. bis 2.000g GK Integral + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1599
                ]
            ],
            // Presse Prio 500g
            1385 => [
                // Presse Prio 500g + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1390
                ]
            ],
            // Presse Prio 1000g
            1395 => [
                // Presse Prio 1000g + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1400
                ]
            ],
            // Presse Prio 2000g
            1405 => [
                // Presse Prio 2000g + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 1410
                ]
            ],
            // Brief Kilotarif international ohne USt.
            13133 => [
                // Brief Kilotarif international ohne USt + EINSCHREIBEN
                [
                    'name' => AdditionalOptionsEnum::ESCH,
                    'prodwsId' => 13132
                ]
            ],
            // Warenpost International XS
            13135 => [
                // Warenpost International XS Unterschrift
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13163
                ],
                // Warenpost International XS Tracked
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13139
                ]
            ],
            // Warenpost International S
            13136 => [
                // Warenpost International S Unterschrift
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13164
                ],
                // Warenpost International S Tracked
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13140
                ]
            ],
            // Warenpost International M
            13137 => [
                // Warenpost International M Unterschrift
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13165
                ],
                // Warenpost International M Tracked
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13141
                ]
            ],
            // Warenpost International L
            13138 => [
                // Warenpost International L Unterschrift
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13166
                ],
                // Warenpost International L Tracked
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13142
                ]
            ],
            // Warenpost International XS (EU/USt.)
            13143 => [
                // Warenpost International XS Unterschrift (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13167
                ],
                // Warenpost International XS Tracked (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13147
                ]
            ],
            // Warenpost International S (EU/USt.)
            13144 => [
                // Warenpost International S Unterschrift (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13168
                ],
                // Warenpost International S Tracked (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13148
                ]
            ],
            // Warenpost International M (EU/USt.)
            13145 => [
                // Warenpost International M Unterschrift (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13169
                ],
                // Warenpost International M Tracked (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13149
                ]
            ],
            // Warenpost International L (EU/USt.)
            13146 => [
                // Warenpost International L Unterschrift (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13170
                ],
                // Warenpost International L Tracked (EU/USt.)
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13150
                ]
            ],
            // Warenpost Int. KT (Non EU) für Internetmarke
            14110 => [
                // Warenpost Int. KT Unterschrift (Non EU) für Internetmarke
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 14112
                ],
                // Warenpost Int. KT Tracked (Non EU) für Internetmarke
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 14111
                ]
            ],
            // Warenpost Int. KT (EU/USt.) für Plugin
            13159 => [
                // Warenpost Int. KT Unterschrift (EU/USt.) für Internetmarke
                [
                    'name' => AdditionalOptionsEnum::USFT,
                    'prodwsId' => 13175
                ],
                // Warenpost Int. KT Tracked (EU/USt.) für Internetmarke
                [
                    'name' => AdditionalOptionsEnum::TRCK,
                    'prodwsId' => 13160
                ]
            ]
        ];
    }

    public function getAll() {
        return $this->content;
    }
}