<?php

namespace DeutschePost\Internetmarke\Products;

defined('ABSPATH') || exit;

class SalesProductList
{
    public $national;
    public $national_special;
    public $international;
    public $international_business;

    public function __construct()
    {
        $this->init();
    }

    public function init()
    {
        $this->national = [
            'briefpostkarte-national' => [
                [
                    'name' => 'Postkarte',
                    'prodwsId' => 256
                ],
                [
                    'name' => 'Standardbrief bis 20g',
                    'prodwsId' => 221
                ],
                [
                    'name' => 'Kompaktbrief bis 50g',
                    'prodwsId' => 228
                ],
                [
                    'name' => 'Großbrief bis 500g',
                    'prodwsId' => 235
                ],
                [
                    'name' => 'Maxibrief bis 1.000g',
                    'prodwsId' => 242
                ],
                [
                    'name' => 'Maxibrief bis 2.000g',
                    'prodwsId' => 249
                ]
            ],
            'buechersendung' => [
                [
                    'name' => 'Bücher- und Warensendung bis 500g',
                    'prodwsId' => 14091
                ],
                [
                    'name' => 'Bücher- und Warensendung bis 1.000g',
                    'prodwsId' => 14099
                ]
            ]
        ];

        $this->national_special = [
            'streifbandzeitung' => [
                [
                    'name' => 'Streifbandzeitung bis 50g',
                    'prodwsId' => 351,
                ],
                [
                    'name' => 'Streifbandzeitung bis 100g',
                    'prodwsId' => 352,
                ],
                [
                    'name' => 'Streifbandzeitung bis 250g',
                    'prodwsId' => 353,
                ],
                [
                    'name' => 'Streifbandzeitung bis 500g',
                    'prodwsId' => 354,
                ],
                [
                    'name' => 'Streifbandzeitung bis 1000g',
                    'prodwsId' => 355,
                ]
            ]
        ];

        $this->international = [
            'briefpostkarte-international' => [
                [
                    'name' => 'Postkarte',
                    'prodwsId' => 1517
                ],
                [
                    'name' => 'Standardbrief bis 20g',
                    'prodwsId' => 659
                ],
                [
                    'name' => 'Kompaktbrief bis 50g',
                    'prodwsId' => 1439
                ],
                [
                    'name' => 'Großbrief bis 500g',
                    'prodwsId' => 1449
                ],
                [
                    'name' => 'Maxibrief Intern. bis 1.000g',
                    'prodwsId' => 1477
                ],
                [
                    'name' => 'Maxibrief Intern. bis 2.000g',
                    'prodwsId' => 1487
                ]
            ],
            'presse' => [
                [
                    'name' => 'Economy bis 500g',
                    'prodwsId' => 1332,
                ],
                [
                    'name' => 'Economy bis 1.000g',
                    'prodwsId' => 1342,
                ],
                [
                    'name' => 'Economy bis 2.000g',
                    'prodwsId' => 1375,
                ],
                [
                    'name' => 'Priority bis 500g',
                    'prodwsId' => 1385
                ],
                [
                    'name' => 'Priority bis 1.000g',
                    'prodwsId' => 1395
                ],
                [
                    'name' => 'Priority bis 2.000g',
                    'prodwsId' => 1405
                ]
            ],
            'briefkilotarif' => [
                [
                    'name' => 'Brief zum Kilotarif',
                    'prodwsId' => 13133
                ]
            ]
        ];

        $this->international_business = [
            'warenpostnoneu' => [
                [
                    'name' => 'Warenpost International XS',
                    'prodwsId' => 13135
                ],
                [
                    'name' => 'Warenpost International S',
                    'prodwsId' => 13136,
                ],
                [
                    'name' => 'Warenpost International M',
                    'prodwsId' => 13137,
                ],
                [
                    'name' => 'Warenpost International L',
                    'prodwsId' => 13138,
                ]
            ],
            'warenposteu' => [
                [
                    'name' => 'Warenpost International XS (EU/USt.)',
                    'prodwsId' => 13143
                ],
                [
                    'name' => 'Warenpost International S (EU/USt.)',
                    'prodwsId' => 13144
                ],
                [
                    'name' => 'Warenpost International M (EU/USt.)',
                    'prodwsId' => 13145
                ],
                [
                    'name' => 'Warenpost International L (EU/USt.)',
                    'prodwsId' => 13146
                ]
            ],
            'warenpostkilotarif' => [
                [
                    'name' => 'Warenpost Int. Kilotarif (Non EU)',
                    'prodwsId' => 14110
                ],
                [
                    'name' => 'Warenpost Int. Kilotarif (EU/USt.)',
                    'prodwsId' => 13159
                ]
            ]
        ];
    }
}