<?php

namespace DeutschePost\Internetmarke\Repositories\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Repository as AbstractResourceRepository;
use DeutschePost\Internetmarke\Interfaces\ResourceRepository as ResourceRepositoryInterface;
use DeutschePost\Internetmarke\Models\Resources\PageFormat as PageFormatResourceModel;

defined('ABSPATH') || exit;

class PageFormat extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * @var string
     */
    const TABLE = 'wcdpi_page_format';

    /**
     * PageFormat constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . self::TABLE;
        $this->primaryKey = 'id';
    }

    /**
     * @param stdClass $dataObject
     *
     * @return mixed|PageFormatResourceModel
     */
    public function createResourceModel($dataObject)
    {
        return new PageFormatResourceModel($dataObject);
    }
}