<?php

namespace DeutschePost\Internetmarke\Repositories\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Repository as AbstractResourceRepository;
use DeutschePost\Internetmarke\Interfaces\ResourceRepository as ResourceRepositoryInterface;
use DeutschePost\Internetmarke\Models\Resources\ProductAdditional as ResourceProductAdditionalModel;

defined('ABSPATH') || exit;

class ProductAdditional extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * @var string
     */
    const TABLE = 'wcdpi_product_additional';

    /**
     * ProductAdditional constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . self::TABLE;
        $this->primaryKey = 'id';
    }

    /**
     * @param stdClass $dataObject
     *
     * @return mixed|ResourceProductAdditionalModel
     */
    public function createResourceModel($dataObject)
    {
        return new ResourceProductAdditionalModel($dataObject);
    }
}