<?php

namespace DeutschePost\Internetmarke\Repositories\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Repository as AbstractResourceRepository;
use DeutschePost\Internetmarke\Interfaces\ResourceRepository as ResourceRepositoryInterface;
use DeutschePost\Internetmarke\Models\Resources\ProductSales as ResourceProductSalesModel;

defined('ABSPATH') || exit;

class ProductSales extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * @var string
     */
    const TABLE = 'wcdpi_product_sales';

    /**
     * ProductSales constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . self::TABLE;
        $this->primaryKey = 'id';
    }

    /**
     * @param stdClass $dataObject
     *
     * @return mixed|ResourceProductSalesModel
     */
    public function createResourceModel($dataObject)
    {
        return new ResourceProductSalesModel($dataObject);
    }
}