<?php

namespace DeutschePost\Internetmarke\Repositories\Resources;

use stdClass;
use DeutschePost\Internetmarke\Abstracts\Repository as AbstractResourceRepository;
use DeutschePost\Internetmarke\Interfaces\ResourceRepository as ResourceRepositoryInterface;
use DeutschePost\Internetmarke\Models\Resources\ShipmentAttachment as ResourceShipmentAttachmentModel;

defined('ABSPATH') || exit;

class ShipmentAttachment extends AbstractResourceRepository implements ResourceRepositoryInterface
{
    /**
     * @var string
     */
    const TABLE = 'wcdpi_shipment_attachment';

    /**
     * ShipmentAttachment constructor.
     */
    public function __construct()
    {
        global $wpdb;

        $this->table      = $wpdb->prefix . self::TABLE;
        $this->primaryKey = 'id';
    }

    /**
     * @param stdClass $dataObject
     *
     * @return mixed|ResourceShipmentAttachmentModel
     */
    public function createResourceModel($dataObject)
    {
        return new ResourceShipmentAttachmentModel($dataObject);
    }
}