<?php

/**
 * @var string $migrationMode
 */

if ($migrationMode === "ACTIVATE" || $migrationMode === "UPGRADE")
{
    $table = $wpdb->prefix . "wcdpi_t_app_service_provider";
    $exists = $wpdb->get_var("SHOW TABLES LIKE '$table'") == $table;
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
			app_service_provider_id BIGINT AUTO_INCREMENT PRIMARY KEY,
			app_service_provider_unique_id VARCHAR(255) NULL,
			app_service_provider_global_uuid VARCHAR(255) NULL,
			app_service_provider_desc_short VARCHAR(50) NOT NULL,
			app_service_provider_desc_long VARCHAR(255) NOT NULL,
			app_service_provider_comment VARCHAR(4000) NULL,
			app_service_provider_valid_from_dt DATETIME NOT NULL DEFAULT '1900-01-01',
			app_service_provider_valid_to_dt DATETIME NOT NULL DEFAULT '2999-01-01',
			app_service_provider_parent_id BIGINT NOT NULL DEFAULT -1,
			app_service_provider_type_id BIGINT NOT NULL DEFAULT -1,
			app_service_provider_status_id BIGINT NOT NULL DEFAULT -1,
			app_service_provider_status_instance_desc_long VARCHAR(255) NULL,
			meta_owner_client_id BIGINT NOT NULL DEFAULT -1,
			meta_origin_service_id BIGINT NOT NULL DEFAULT -1,
			meta_origin_source_desc_long VARCHAR(255) NULL,
			meta_last_process_job_id BIGINT NOT NULL DEFAULT -1,
			meta_insert_dt TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			meta_insert_by BIGINT NOT NULL DEFAULT -1,
			meta_update_dt DATETIME NULL,
			meta_update_by BIGINT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    if (!$exists) {
        $sql = "
			INSERT INTO $table (app_service_provider_id, app_service_provider_desc_short, app_service_provider_desc_long)
			VALUES (1, 'STINA', 'STINA');
		";
        $wpdb->query( $sql );

        $sql = "
			INSERT INTO $table (app_service_provider_id, app_service_provider_desc_short, app_service_provider_desc_long)
			VALUES (2, 'DP', 'Deutsche Post');
		";
        $wpdb->query( $sql );
    }

    $table = $wpdb->prefix . "wcdpi_t_app_service";
    $exists = $wpdb->get_var("SHOW TABLES LIKE '$table'") == $table;
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
			app_service_id BIGINT AUTO_INCREMENT PRIMARY KEY,
			app_service_unique_id VARCHAR(255) NULL,
			app_service_global_uuid VARCHAR(255) NULL,
			app_service_desc_short VARCHAR(50) NOT NULL,
			app_service_desc_long VARCHAR(255) NOT NULL,
			app_service_comment VARCHAR(4000) NULL,
			app_service_valid_from_dt DATETIME NOT NULL DEFAULT '1900-01-01',
			app_service_valid_to_dt DATETIME NOT NULL DEFAULT '2999-01-01',
			app_service_parent_id BIGINT NOT NULL DEFAULT -1,
			app_service_type_id BIGINT NOT NULL DEFAULT -1,
			app_service_status_id BIGINT NOT NULL DEFAULT -1,
			app_service_status_instance_desc_long VARCHAR(255) NULL,
			app_service_provider_id BIGINT NOT NULL DEFAULT -1,
			meta_owner_client_id BIGINT NOT NULL DEFAULT -1,
			meta_origin_service_id BIGINT NOT NULL DEFAULT -1,
			meta_origin_source_desc_long VARCHAR(255) NULL,
			meta_last_process_job_id BIGINT NOT NULL DEFAULT -1,
			meta_insert_dt TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			meta_insert_by BIGINT NOT NULL DEFAULT -1,
			meta_update_dt DATETIME NULL,
			meta_update_by BIGINT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    if (!$exists) {
        $sql = "
			INSERT INTO $table (app_service_id, app_service_provider_id, app_service_desc_short, app_service_desc_long)
			VALUES (1, 1, 'FORKLane', 'FORKLane');
		";
        $wpdb->query( $sql );

        $sql = "
			INSERT INTO $table (app_service_id, app_service_provider_id, app_service_desc_short, app_service_desc_long)
			VALUES (2, 2, 'OC4A', 'One Click For Application');
		";
        $wpdb->query( $sql );

        $sql = "
			INSERT INTO $table (app_service_id, app_service_provider_id, app_service_desc_short, app_service_desc_long)
			VALUES (3, 2, 'OC4R', 'One Click For Refund');
		";
        $wpdb->query( $sql );

        $sql = "
			INSERT INTO $table (app_service_id, app_service_provider_id, app_service_desc_short, app_service_desc_long)
			VALUES (4, 2, 'PAPL', 'Packet Plus');
		";
        $wpdb->query( $sql );
    }

    $table = $wpdb->prefix . "wcdpi_t_app_service_feature";
    $exists = $wpdb->get_var("SHOW TABLES LIKE '$table'") == $table;
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
			app_service_feature_id BIGINT AUTO_INCREMENT PRIMARY KEY,
			app_service_feature_unique_id VARCHAR(255) NULL,
			app_service_feature_global_uuid VARCHAR(255) NULL,
			app_service_feature_desc_short VARCHAR(50) NOT NULL,
			app_service_feature_desc_long VARCHAR(255) NOT NULL,
			app_service_feature_comment VARCHAR(4000) NULL,
			app_service_feature_valid_from_dt DATETIME NOT NULL DEFAULT '1900-01-01',
			app_service_feature_valid_to_dt DATETIME NOT NULL DEFAULT '2999-01-01',
			app_service_feature_parent_id BIGINT NOT NULL DEFAULT -1,
			app_service_feature_type_id BIGINT NOT NULL DEFAULT -1,
			app_service_feature_status_id BIGINT NOT NULL DEFAULT -1,
			app_service_feature_status_instance_desc_long VARCHAR(255) NULL,
			app_service_id BIGINT NOT NULL DEFAULT -1,
			app_service_feature_prodws_id BIGINT NOT NULL DEFAULT -1,
			meta_owner_client_id BIGINT NOT NULL DEFAULT -1,
			meta_origin_service_id BIGINT NOT NULL DEFAULT -1,
			meta_origin_source_desc_long VARCHAR(255) NULL,
			meta_last_process_job_id BIGINT NOT NULL DEFAULT -1,
			meta_insert_dt TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			meta_insert_by BIGINT NOT NULL DEFAULT -1,
			meta_update_dt DATETIME NULL,
			meta_update_by BIGINT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    if (!$exists) {
        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00001', 'dpoc4a_f00001', 'Standardbrief Integral + EINSCHREIBEN EINWURF', 407);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00002', 'dpoc4a_f00002', 'Standardbrief Integral + EINSCHREIBEN', 412);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00003', 'dpoc4a_f00003', 'Standardbrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 414);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00004', 'dpoc4a_f00004', 'Kompaktbrief Integral + EINSCHREIBEN EINWURF', 416);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00005', 'dpoc4a_f00005', 'Kompaktbrief Integral + EINSCHREIBEN', 466);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00006', 'dpoc4a_f00006', 'Kompaktbrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 468);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00007', 'dpoc4a_f00007', 'Großbrief Integral + EINSCHREIBEN EINWURF', 470);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00008', 'dpoc4a_f00008', 'Großbrief Integral + EINSCHREIBEN', 472);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00009', 'dpoc4a_f00009', 'Großbrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 474);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00010', 'dpoc4a_f00010', 'Maxibrief Integral + EINSCHREIBEN EINWURF', 476);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00011', 'dpoc4a_f00011', 'Maxibrief Integral + EINSCHREIBEN', 478);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00012', 'dpoc4a_f00012', 'Maxibrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 480);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00013', 'dpoc4a_f00013', 'Maxibrief Integral + EINSCHREIBEN EINWURF + Zusatzentgelt MBf', 482);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00014', 'dpoc4a_f00014', 'Maxibrief Integral + EINSCHREIBEN + Zusatzentgelt MBf', 484);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00015', 'dpoc4a_f00015', 'Maxibrief Integral + EINSCHREIBEN + EIGENHÄNDIG + Zusatzentgelt MBf', 486);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00016', 'dpoc4a_f00016', 'Postkarte Integral + EINSCHREIBEN EINWURF', 488);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00017', 'dpoc4a_f00017', 'Postkarte Integral + EINSCHREIBEN', 535);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00018', 'dpoc4a_f00018', 'Postkarte Integral + EINSCHREIBEN + EIGENHÄNDIG', 537);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00019', 'dpoc4a_f00019', 'Warenbrief International', 8232);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00020', 'dpoc4a_f00020', 'Standardbrief + Prio', 12756);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00021', 'dpoc4a_f00021', 'Kompaktbrief + Prio', 12757);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00022', 'dpoc4a_f00022', 'Großbrief + Prio', 12758);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00023', 'dpoc4a_f00023', 'Maxibrief + Prio', 12759);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00024', 'dpoc4a_f00024', 'Maxibrief bis 2000 g + Zusatzentgelt MBf + Prio', 12760);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00025', 'dpoc4a_f00025', 'Postkarte + Prio', 12761);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00026', 'dpoc4a_f00026', 'Streifbandzeitung bis 50 g', 351);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00027', 'dpoc4a_f00027', 'Streifbandzeitung bis 100 g', 352);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00028', 'dpoc4a_f00028', 'Streifbandzeitung bis 250 g', 353);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00029', 'dpoc4a_f00029', 'Streifbandzeitung bis 500 g', 354);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00030', 'dpoc4a_f00030', 'Streifbandzeitung bis 1000 g', 355);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00031', 'dpoc4a_f00031', 'Standardbrief', 221);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00032', 'dpoc4a_f00032', 'Kompaktbrief', 228);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00033', 'dpoc4a_f00033', 'Großbrief', 235);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00034', 'dpoc4a_f00034', 'Maxibrief', 242);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00035', 'dpoc4a_f00035', 'Maxibrief bis 2000 g + Zusatzentgelt MBf', 249);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00036', 'dpoc4a_f00036', 'Postkarte', 256);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00037', 'dpoc4a_f00037', 'Großbrief Intern. GK', 1449);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00038', 'dpoc4a_f00038', 'Maxibrief Intern. bis 1.000g GK', 1477);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00039', 'dpoc4a_f00039', 'Maxibrief Intern. bis 2.000g GK', 1487);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00040', 'dpoc4a_f00040', 'Postkarte Intern. GK', 1517);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00041', 'dpoc4a_f00041', 'Presse&Buch Eco 500g', 1332);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00042', 'dpoc4a_f00042', 'Presse&Buch Eco 1000g', 1342);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00043', 'dpoc4a_f00043', 'Presse&Buch Eco 2000g', 1375);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00044', 'dpoc4a_f00044', 'Presse&Buch Prio 500g', 1385);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00045', 'dpoc4a_f00045', 'Presse&Buch Prio 1000g', 1395);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00046', 'dpoc4a_f00046', 'Presse&Buch Prio 2000g', 1405);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00047', 'dpoc4a_f00047', 'Standardbrief Intern. GK', 659);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00048', 'dpoc4a_f00048', 'Kompaktbrief Intern. GK', 1439);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00049', 'dpoc4a_f00049', 'Warenpost individuell', 13050);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00050', 'dpoc4a_f00050', 'Warenpost M', 13051);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00051', 'dpoc4a_f00051', 'Warenpost L', 13052);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00052', 'dpoc4a_f00052', 'Warenpost International XS Tracked', 13139);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00053', 'dpoc4a_f00053', 'Warenpost International S Tracked', 13140);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00054', 'dpoc4a_f00054', 'Warenpost International M Tracked', 13141);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00055', 'dpoc4a_f00055', 'Warenpost International L Tracked', 13142);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00056', 'dpoc4a_f00056', 'Warenpost Int. KT Tracked (EU/USt.) für Plugin', 13160);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00057', 'dpoc4a_f00057', 'Warenpost Blusenlegeformat', 13053);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00058', 'dpoc4a_f00058', 'Büchersendung Groß', 271);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00059', 'dpoc4a_f00059', 'Büchersendung Maxi', 272);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00060', 'dpoc4a_f00060', 'Standardbrief + Alterssichtprüfung 16', 12782);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00061', 'dpoc4a_f00061', 'Kompaktbrief + Alterssichtprüfung 16', 12783);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00062', 'dpoc4a_f00062', 'Großbrief + Alterssichtprüfung 16', 12784);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00063', 'dpoc4a_f00063', 'Maxibrief + Alterssichtprüfung 16', 12785);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00064', 'dpoc4a_f00064', 'Maxibrief bis 2000 g + Zusatzentgelt MBf + Alterssichtprüfung 16', 12786);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00065', 'dpoc4a_f00065', 'Warensendung Kompakt + Alterssichtprüfung 16', 12787);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00066', 'dpoc4a_f00066', 'Warensendung Groß + Alterssichtprüfung 16', 12788);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00067', 'dpoc4a_f00067', 'Warensendung Maxi 1000g bis 5cm + Alterssichtprüfung 16', 12789);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00068', 'dpoc4a_f00068', 'Warensendung Maxi 1000g größer 5cm + Alterssichtprüfung 16', 12790);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00069', 'dpoc4a_f00069', 'Büchersendung Groß + Alterssichtprüfung 16', 12791);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00070', 'dpoc4a_f00070', 'Büchersendung Maxi + Alterssichtprüfung 16', 12792);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00071', 'dpoc4a_f00071', 'Standardbrief + Alterssichtprüfung 18', 12793);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00072', 'dpoc4a_f00072', 'Kompaktbrief + Alterssichtprüfung 18', 12794);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00073', 'dpoc4a_f00073', 'Großbrief + Alterssichtprüfung 18', 12795);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00074', 'dpoc4a_f00074', 'Maxibrief + Alterssichtprüfung 18', 12796);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00075', 'dpoc4a_f00075', 'Maxibrief bis 2000 g + Zusatzentgelt MBf + Alterssichtprüfung 18', 12797);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00076', 'dpoc4a_f00076', 'Warensendung Kompakt + Alterssichtprüfung 18', 12798);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00077', 'dpoc4a_f00077', 'Warensendung Groß + Alterssichtprüfung 18', 12799);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00078', 'dpoc4a_f00078', 'Warensendung Maxi 1000g bis 5cm + Alterssichtprüfung 18', 12800);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00079', 'dpoc4a_f00079', 'Warensendung Maxi 1000g größer 5cm + Alterssichtprüfung 18', 12801);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00080', 'dpoc4a_f00080', 'Büchersendung Groß + Alterssichtprüfung 18', 12802);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00081', 'dpoc4a_f00081', 'Büchersendung Maxi + Alterssichtprüfung 18', 12803);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00082', 'dpoc4a_f00082', 'Warenpost mit Gefahrgut', 13056);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00083', 'dpoc4a_f00083', 'Warenpost International XS', 13135);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00084', 'dpoc4a_f00084', 'Warenpost International S', 13136);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00085', 'dpoc4a_f00085', 'Warenpost International M', 13137);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00086', 'dpoc4a_f00086', 'Warenpost International L', 13138);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00087', 'dpoc4a_f00087', 'Warenpost International XS (EU/USt.)', 13143);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00088', 'dpoc4a_f00088', 'Warenpost International S (EU/USt.)', 13144);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00089', 'dpoc4a_f00089', 'Warenpost International M (EU/USt.)', 13145);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00090', 'dpoc4a_f00090', 'Warenpost International L (EU/USt.)', 13146);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00091', 'dpoc4a_f00091', 'Warenpost International XS Tracked (EU/USt.)', 13147);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00092', 'dpoc4a_f00092', 'Warenpost International S Tracked (EU/USt.)', 13148);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00093', 'dpoc4a_f00093', 'Warenpost International M Tracked (EU/USt.)', 13149);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00094', 'dpoc4a_f00094', 'Warenpost International L Tracked (EU/USt.)', 13150);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00095', 'dpoc4a_f00095', 'Warenpost Int. KT (Non EU)', 13153);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00096', 'dpoc4a_f00096', 'Warenpost Int. KT Tracked (Non EU)', 13154);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00097', 'dpoc4a_f00097', 'Warenpost Int. KT (EU/USt.) für Plugin', 13159);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00098', 'dpoc4a_f00098', 'Warensendung Maxi 1000g bis 5cm', 6586);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00099', 'dpoc4a_f00099', 'Warensendung Maxi 1000g größer 5cm', 6587);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00100', 'dpoc4a_f00100', 'Warensendung Kompakt', 274);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00101', 'dpoc4a_f00101', 'Warensendung Groß', 275);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00102', 'dpoc4a_f00102', 'Warenbrief International + EINSCHREIBEN', 8233);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00103', 'dpoc4a_f00103', 'Brief Kilotarif International ohne USt + EINSCHREIBEN', 8203);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00104', 'dpoc4a_f00104', 'Brief Kilotarif International ohne USt', 8283);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00105', 'dpoc4a_f00105', 'Presse&Buch Prio 500g + EINSCHREIBEN', 1390);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00106', 'dpoc4a_f00106', 'Presse&Buch Prio 1000g + EINSCHREIBEN', 1400);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00107', 'dpoc4a_f00107', 'Presse&Buch Prio 2000g + EINSCHREIBEN', 1410);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00108', 'dpoc4a_f00108', 'Standardbrief Intern. GK Integral + EINSCHREIBEN', 1527);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00109', 'dpoc4a_f00109', 'Kompaktbrief Intern. GK Integral + EINSCHREIBEN', 1555);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00110', 'dpoc4a_f00110', 'Großbrief Intern. GK Integral + EINSCHREIBEN', 1563);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00111', 'dpoc4a_f00111', 'Maxibrief Intern. bis 1.000g GK Integral + EINSCHREIBEN', 1571);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00112', 'dpoc4a_f00112', 'Maxibrief Intern. bis 2.000g GK Integral + EINSCHREIBEN', 1599);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (2, 'dpoc4a_f00113', 'dpoc4a_f00113', 'Postkarte Intern. GK Integral + EINSCHREIBEN', 1603);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00001', 'dpoc4r_f00001', 'Standardbrief Integral + EINSCHREIBEN EINWURF', 407);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00002', 'dpoc4r_f00002', 'Standardbrief Integral + EINSCHREIBEN', 412);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00003', 'dpoc4r_f00003', 'Standardbrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 414);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00004', 'dpoc4r_f00004', 'Kompaktbrief Integral + EINSCHREIBEN EINWURF', 416);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00005', 'dpoc4r_f00005', 'Kompaktbrief Integral + EINSCHREIBEN', 466);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00006', 'dpoc4r_f00006', 'Kompaktbrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 468);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00007', 'dpoc4r_f00007', 'Großbrief Integral + EINSCHREIBEN EINWURF', 470);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00008', 'dpoc4r_f00008', 'Großbrief Integral + EINSCHREIBEN', 472);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00009', 'dpoc4r_f00009', 'Großbrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 474);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00010', 'dpoc4r_f00010', 'Maxibrief Integral + EINSCHREIBEN EINWURF', 476);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00011', 'dpoc4r_f00011', 'Maxibrief Integral + EINSCHREIBEN', 478);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00012', 'dpoc4r_f00012', 'Maxibrief Integral + EINSCHREIBEN + EIGENHÄNDIG', 480);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00013', 'dpoc4r_f00013', 'Maxibrief Integral + EINSCHREIBEN EINWURF + Zusatzentgelt MBf', 482);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00014', 'dpoc4r_f00014', 'Maxibrief Integral + EINSCHREIBEN + Zusatzentgelt MBf', 484);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00015', 'dpoc4r_f00015', 'Maxibrief Integral + EINSCHREIBEN + EIGENHÄNDIG + Zusatzentgelt MBf', 486);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00016', 'dpoc4r_f00016', 'Postkarte Integral + EINSCHREIBEN EINWURF', 488);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00017', 'dpoc4r_f00017', 'Postkarte Integral + EINSCHREIBEN', 535);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00018', 'dpoc4r_f00018', 'Postkarte Integral + EINSCHREIBEN + EIGENHÄNDIG', 537);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00019', 'dpoc4r_f00019', 'Warenbrief International', 8232);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00020', 'dpoc4r_f00020', 'Standardbrief + Prio', 12756);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00021', 'dpoc4r_f00021', 'Kompaktbrief + Prio', 12757);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00022', 'dpoc4r_f00022', 'Großbrief + Prio', 12758);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00023', 'dpoc4r_f00023', 'Maxibrief + Prio', 12759);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00024', 'dpoc4r_f00024', 'Maxibrief bis 2000 g + Zusatzentgelt MBf + Prio', 12760);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00025', 'dpoc4r_f00025', 'Postkarte + Prio', 12761);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00026', 'dpoc4r_f00026', 'Streifbandzeitung bis 50 g', 351);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00027', 'dpoc4r_f00027', 'Streifbandzeitung bis 100 g', 352);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00028', 'dpoc4r_f00028', 'Streifbandzeitung bis 250 g', 353);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00029', 'dpoc4r_f00029', 'Streifbandzeitung bis 500 g', 354);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00030', 'dpoc4r_f00030', 'Streifbandzeitung bis 1000 g', 355);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00031', 'dpoc4r_f00031', 'Standardbrief', 221);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00032', 'dpoc4r_f00032', 'Kompaktbrief', 228);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00033', 'dpoc4r_f00033', 'Großbrief', 235);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00034', 'dpoc4r_f00034', 'Maxibrief', 242);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00035', 'dpoc4r_f00035', 'Maxibrief bis 2000 g + Zusatzentgelt MBf', 249);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00036', 'dpoc4r_f00036', 'Postkarte', 256);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00037', 'dpoc4r_f00037', 'Großbrief Intern. GK', 1449);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00038', 'dpoc4r_f00038', 'Maxibrief Intern. bis 1.000g GK', 1477);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00039', 'dpoc4r_f00039', 'Maxibrief Intern. bis 2.000g GK', 1487);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00040', 'dpoc4r_f00040', 'Postkarte Intern. GK', 1517);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00041', 'dpoc4r_f00041', 'Presse&Buch Eco 500g', 1332);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00042', 'dpoc4r_f00042', 'Presse&Buch Eco 1000g', 1342);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00043', 'dpoc4r_f00043', 'Presse&Buch Eco 2000g', 1375);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00044', 'dpoc4r_f00044', 'Presse&Buch Prio 500g', 1385);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00045', 'dpoc4r_f00045', 'Presse&Buch Prio 1000g', 1395);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00046', 'dpoc4r_f00046', 'Presse&Buch Prio 2000g', 1405);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00047', 'dpoc4r_f00047', 'Standardbrief Intern. GK', 659);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00048', 'dpoc4r_f00048', 'Kompaktbrief Intern. GK', 1439);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00049', 'dpoc4r_f00049', 'Warenpost individuell', 13050);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00050', 'dpoc4r_f00050', 'Warenpost M', 13051);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00051', 'dpoc4r_f00051', 'Warenpost L', 13052);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00052', 'dpoc4r_f00052', 'Warenpost International XS Tracked', 13139);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00053', 'dpoc4r_f00053', 'Warenpost International S Tracked', 13140);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00054', 'dpoc4r_f00054', 'Warenpost International M Tracked', 13141);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00055', 'dpoc4r_f00055', 'Warenpost International L Tracked', 13142);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00056', 'dpoc4r_f00056', 'Warenpost Int. KT Tracked (EU/USt.) für Plugin', 13160);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00057', 'dpoc4r_f00057', 'Warenpost Blusenlegeformat', 13053);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00058', 'dpoc4r_f00058', 'Büchersendung Groß', 271);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00059', 'dpoc4r_f00059', 'Büchersendung Maxi', 272);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00060', 'dpoc4r_f00060', 'Standardbrief + Alterssichtprüfung 16', 12782);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00061', 'dpoc4r_f00061', 'Kompaktbrief + Alterssichtprüfung 16', 12783);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00062', 'dpoc4r_f00062', 'Großbrief + Alterssichtprüfung 16', 12784);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00063', 'dpoc4r_f00063', 'Maxibrief + Alterssichtprüfung 16', 12785);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00064', 'dpoc4r_f00064', 'Maxibrief bis 2000 g + Zusatzentgelt MBf + Alterssichtprüfung 16', 12786);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00065', 'dpoc4r_f00065', 'Warensendung Kompakt + Alterssichtprüfung 16', 12787);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00066', 'dpoc4r_f00066', 'Warensendung Groß + Alterssichtprüfung 16', 12788);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00067', 'dpoc4r_f00067', 'Warensendung Maxi 1000g bis 5cm + Alterssichtprüfung 16', 12789);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00068', 'dpoc4r_f00068', 'Warensendung Maxi 1000g größer 5cm + Alterssichtprüfung 16', 12790);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00069', 'dpoc4r_f00069', 'Büchersendung Groß + Alterssichtprüfung 16', 12791);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00070', 'dpoc4r_f00070', 'Büchersendung Maxi + Alterssichtprüfung 16', 12792);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00071', 'dpoc4r_f00071', 'Standardbrief + Alterssichtprüfung 18', 12793);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00072', 'dpoc4r_f00072', 'Kompaktbrief + Alterssichtprüfung 18', 12794);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00073', 'dpoc4r_f00073', 'Großbrief + Alterssichtprüfung 18', 12795);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00074', 'dpoc4r_f00074', 'Maxibrief + Alterssichtprüfung 18', 12796);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00075', 'dpoc4r_f00075', 'Maxibrief bis 2000 g + Zusatzentgelt MBf + Alterssichtprüfung 18', 12797);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00076', 'dpoc4r_f00076', 'Warensendung Kompakt + Alterssichtprüfung 18', 12798);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00077', 'dpoc4r_f00077', 'Warensendung Groß + Alterssichtprüfung 18', 12799);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00078', 'dpoc4r_f00078', 'Warensendung Maxi 1000g bis 5cm + Alterssichtprüfung 18', 12800);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00079', 'dpoc4r_f00079', 'Warensendung Maxi 1000g größer 5cm + Alterssichtprüfung 18', 12801);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00080', 'dpoc4r_f00080', 'Büchersendung Groß + Alterssichtprüfung 18', 12802);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00081', 'dpoc4r_f00081', 'Büchersendung Maxi + Alterssichtprüfung 18', 12803);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00082', 'dpoc4r_f00082', 'Warenpost mit Gefahrgut', 13056);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00083', 'dpoc4r_f00083', 'Warenpost International XS', 13135);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00084', 'dpoc4r_f00084', 'Warenpost International S', 13136);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00085', 'dpoc4r_f00085', 'Warenpost International M', 13137);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00086', 'dpoc4r_f00086', 'Warenpost International L', 13138);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00087', 'dpoc4r_f00087', 'Warenpost International XS (EU/USt.)', 13143);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00088', 'dpoc4r_f00088', 'Warenpost International S (EU/USt.)', 13144);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00089', 'dpoc4r_f00089', 'Warenpost International M (EU/USt.)', 13074);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00090', 'dpoc4r_f00090', 'Warenpost International L (EU/USt.)', 13146);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00091', 'dpoc4r_f00091', 'Warenpost International XS Tracked (EU/USt)', 13147);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00092', 'dpoc4r_f00092', 'Warenpost International S Tracked (EU/USt.)', 13148);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00093', 'dpoc4r_f00093', 'Warenpost International M Tracked (EU/USt.)', 13149);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00094', 'dpoc4r_f00094', 'Warenpost International L Tracked (EU/USt.)', 13150);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00095', 'dpoc4r_f00095', 'Warenpost Int. KT (Non EU)', 13153);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00096', 'dpoc4r_f00096', 'Warenpost Int. KT Tracked (Non EU)', 13154);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00097', 'dpoc4r_f00097', 'Warenpost Int. KT (EU/USt.) für Plugin', 13159);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00098', 'dpoc4r_f00098', 'Warensendung Maxi 1000g bis 5cm', 6586);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00099', 'dpoc4r_f00099', 'Warensendung Maxi 1000g größer 5cm', 6587);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00100', 'dpoc4r_f00100', 'Warensendung Kompakt', 274);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00101', 'dpoc4r_f00101', 'Warensendung Groß', 275);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00102', 'dpoc4r_f00102', 'Warenbrief International + EINSCHREIBEN', 8233);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00103', 'dpoc4r_f00103', 'Brief Kilotarif International ohne USt + EINSCHREIBEN', 8203);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00104', 'dpoc4r_f00104', 'Brief Kilotarif International ohne USt', 8283);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00105', 'dpoc4r_f00105', 'Presse&Buch Prio 500g + EINSCHREIBEN', 1390);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00106', 'dpoc4r_f00106', 'Presse&Buch Prio 1000g + EINSCHREIBEN', 1400);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00107', 'dpoc4r_f00107', 'Presse&Buch Prio 2000g + EINSCHREIBEN', 1410);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00108', 'dpoc4r_f00108', 'Standardbrief Intern. GK Integral + EINSCHREIBEN', 1527);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00109', 'dpoc4r_f00109', 'Kompaktbrief Intern. GK Integral + EINSCHREIBEN', 1555);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00110', 'dpoc4r_f00110', 'Großbrief Intern. GK Integral + EINSCHREIBEN', 1563);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00111', 'dpoc4r_f00111', 'Maxibrief Intern. bis 1.000g GK Integral + EINSCHREIBEN', 1571);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00112', 'dpoc4r_f00112', 'Maxibrief Intern. bis 2.000g GK Integral + EINSCHREIBEN', 1599);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'dpoc4r_f00113', 'dpoc4r_f00113', 'Postkarte Intern. GK Integral + EINSCHREIBEN', 1603);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (3,'p00020_f00001', 'p00020_f00001', 'Activate Plugin', -1);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00001', 'dppapl_f00001', 'GPP (Packet Plus)', -1);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00002', 'dppapl_f00002', 'GPT (Packet Tracked)', -1);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00003', 'dppapl_f00003', 'GMP (Packet)', -1);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00004', 'dppapl_f00004', 'GMM (Business Mail Standard)', -1);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00005', 'dppapl_f00005', 'GMR (Business Mail Registered)', -1);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00006', 'dppapl_f00006', 'Warenpost International XS', 13135);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00007', 'dppapl_f00007', 'Warenpost International S', 13136);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00008', 'dppapl_f00008', 'Warenpost International M', 13137);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00009', 'dppapl_f00009', 'Warenpost International L', 13138);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00010', 'dppapl_f00010', 'Warenpost International XS Tracked', 13139);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00011', 'dppapl_f00011', 'Warenpost International S Tracked', 13140);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00012', 'dppapl_f00012', 'Warenpost International M Tracked', 13141);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00013', 'dppapl_f00013', 'Warenpost International L Tracked', 13142);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00014', 'dppapl_f00014', 'Warenpost International XS (EU/USt.)', 13143);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00015', 'dppapl_f00015', 'Warenpost International S (EU/USt.)', 13144);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00016', 'dppapl_f00016', 'Warenpost International M (EU/USt.)', 13074);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00017', 'dppapl_f00017', 'Warenpost International L (EU/USt.)', 13146);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00018', 'dppapl_f00018', 'Warenpost International XS Tracked (EU/USt)', 13147);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00019', 'dppapl_f00019', 'Warenpost International S Tracked (EU/USt.)', 13148);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00020', 'dppapl_f00020', 'Warenpost International M Tracked (EU/USt.)', 13149);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00021', 'dppapl_f00021', 'Warenpost International L Tracked (EU/USt.)', 13150);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00022', 'dppapl_f00022', 'Warenpost Int. KT (Non EU)', 13153);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00023', 'dppapl_f00023', 'Warenpost Int. KT Tracked (Non EU)', 13154);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00024', 'dppapl_f00024', 'Warenpost Int. KT (EU/USt.) für Plugin', 13159);";
        $wpdb->query( $sql );

        $sql   = "INSERT INTO $table (app_service_id, app_service_feature_unique_id, app_service_feature_desc_short, app_service_feature_desc_long, app_service_feature_prodws_id) VALUES (4,'dppapl_f00025', 'dppapl_f00025', 'Warenpost Int. KT Tracked (EU/USt.) für Plugin', 13160);";
        $wpdb->query( $sql );
    }

    $table = $wpdb->prefix . "wcdpi_page_format";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
			`id` INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `format_id` INT(20) NOT NULL,
            `name` VARCHAR(256) NOT NULL,
            `is_address_possible` INT(1) NOT NULL,
            `is_image_possible` INT(1) NOT NULL,
            `description` VARCHAR(256) NULL,
            `page_type` VARCHAR(256) NOT NULL,
            `page_layout` VARCHAR(512) NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    $table = $wpdb->prefix . "wcdpi_country";
    $exists = $wpdb->get_var("SHOW TABLES LIKE '$table'") == $table;
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
			`id` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			`name` VARCHAR(1024) NOT NULL,
			`numeric` VARCHAR(8) NOT NULL,
			`alpha2` VARCHAR(2) NOT NULL,
			`alpha3` VARCHAR(3) NOT NULL,
			`region` VARCHAR(50) NULL,
			`meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    if (!$exists) {
        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (1, 'Afghanistan', '004', 'AF', 'AFG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (2, 'Åland Islands', '248', 'AX', 'ALA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (3, 'Albania', '008', 'AL', 'ALB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (4, 'Algeria', '012', 'DZ', 'DZA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (5, 'American Samoa', '016', 'AS', 'ASM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (6, 'Andorra', '020', 'AD', 'AND');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (7, 'Angola', '024', 'AO', 'AGO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (8, 'Anguilla', '660', 'AI', 'AIA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (9, 'Antarctica', '010', 'AQ', 'ATA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (10, 'Antigua and Barbuda', '028', 'AG', 'ATG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (11, 'Argentina', '032', 'AR', 'ARG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (12, 'Armenia', '051', 'AM', 'ARM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (13, 'Aruba', '533', 'AW', 'ABW');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (14, 'Australia', '036', 'AU', 'AUS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (15, 'Austria', '040', 'AT', 'AUT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (16, 'Azerbaijan', '031', 'AZ', 'AZE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (17, 'Bahamas', '044', 'BS', 'BHS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (18, 'Bahrain', '048', 'BH', 'BHR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (19, 'Bangladesh', '050', 'BD', 'BGD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (20, 'Barbados', '052', 'BB', 'BRB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (21, 'Belarus', '112', 'BY', 'BLR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (22, 'Belgium', '056', 'BE', 'BEL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (23, 'Belize', '084', 'BZ', 'BLZ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (24, 'Benin', '204', 'BJ', 'BEN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (25, 'Bermuda', '060', 'BM', 'BMU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (26, 'Bhutan', '064', 'BT', 'BTN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (27, 'Bolivia (Plurinational State of)', '068', 'BO', 'BOL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (28, 'Bonaire, Sint Eustatius and Saba', '535', 'BQ', 'BES');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (29, 'Bosnia and Herzegovina', '070', 'BA', 'BIH');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (30, 'Botswana', '072', 'BW', 'BWA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (31, 'Bouvet Island', '074', 'BV', 'BVT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (32, 'Brazil', '076', 'BR', 'BRA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (33, 'British Indian Ocean Territory', '086', 'IO', 'IOT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (34, 'Brunei Darussalam', '096', 'BN', 'BRN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (35, 'Bulgaria', '100', 'BG', 'BGR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (36, 'Burkina Faso', '854', 'BF', 'BFA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (37, 'Burundi', '108', 'BI', 'BDI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (38, 'Cabo Verde', '132', 'CV', 'CPV');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (39, 'Cambodia', '116', 'KH', 'KHM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (40, 'Cameroon', '120', 'CM', 'CMR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (41, 'Canada', '124', 'CA', 'CAN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (42, 'Cayman Islands', '136', 'KY', 'CYM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (43, 'Central African Republic', '140', 'CF', 'CAF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (44, 'Chad', '148', 'TD', 'TCD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (45, 'Chile', '152', 'CL', 'CHL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (46, 'China', '156', 'CN', 'CHN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (47, 'Christmas Island', '162', 'CX', 'CXR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (48, 'Cocos (Keeling) Islands', '166', 'CC', 'CCK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (49, 'Colombia', '170', 'CO', 'COL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (50, 'Comoros', '174', 'KM', 'COM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (51, 'Congo', '178', 'CG', 'COG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (52, 'Congo (Democratic Republic of the)', '180', 'CD', 'COD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (53, 'Cook Islands', '184', 'CK', 'COK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (54, 'Costa Rica', '188', 'CR', 'CRI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (55, 'Côte d''Ivoire', '384', 'CI', 'CIV');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (56, 'Croatia', '191', 'HR', 'HRV');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (57, 'Cuba', '192', 'CU', 'CUB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (58, 'Curaçao', '531', 'CW', 'CUW');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (59, 'Cyprus', '196', 'CY', 'CYP');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (60, 'Czechia', '203', 'CZ', 'CZE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (61, 'Denmark', '208', 'DK', 'DNK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (62, 'Djibouti', '262', 'DJ', 'DJI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (63, 'Dominica', '212', 'DM', 'DMA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (64, 'Dominican Republic', '214', 'DO', 'DOM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (65, 'Ecuador', '218', 'EC', 'ECU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (66, 'Egypt', '818', 'EG', 'EGY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (67, 'El Salvador', '222', 'SV', 'SLV');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (68, 'Equatorial Guinea', '226', 'GQ', 'GNQ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (69, 'Eritrea', '232', 'ER', 'ERI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (70, 'Estonia', '233', 'EE', 'EST');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (71, 'Ethiopia', '231', 'ET', 'ETH');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (72, 'Falkland Islands (Malvinas)', '238', 'FK', 'FLK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (73, 'Faroe Islands', '234', 'FO', 'FRO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (74, 'Fiji', '242', 'FJ', 'FJI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (75, 'Finland', '246', 'FI', 'FIN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (76, 'France', '250', 'FR', 'FRA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (77, 'French Guiana', '254', 'GF', 'GUF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (78, 'French Polynesia', '258', 'PF', 'PYF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (79, 'French Southern Territories', '260', 'TF', 'ATF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (80, 'Gabon', '266', 'GA', 'GAB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (81, 'Gambia', '270', 'GM', 'GMB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (82, 'Georgia', '268', 'GE', 'GEO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (83, 'Germany', '276', 'DE', 'DEU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (84, 'Ghana', '288', 'GH', 'GHA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (85, 'Gibraltar', '292', 'GI', 'GIB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (86, 'Greece', '300', 'GR', 'GRC');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (87, 'Greenland', '304', 'GL', 'GRL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (88, 'Grenada', '308', 'GD', 'GRD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (89, 'Guadeloupe', '312', 'GP', 'GLP');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (90, 'Guam', '316', 'GU', 'GUM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (91, 'Guatemala', '320', 'GT', 'GTM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (92, 'Guernsey', '831', 'GG', 'GGY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (93, 'Guinea', '324', 'GN', 'GIN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (94, 'Guinea-Bissau', '624', 'GW', 'GNB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (95, 'Guyana', '328', 'GY', 'GUY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (96, 'Haiti', '332', 'HT', 'HTI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (97, 'Heard Island and McDonald Islands', '334', 'HM', 'HMD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (98, 'Holy See', '336', 'VA', 'VAT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (99, 'Honduras', '340', 'HN', 'HND');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (100, 'Hong Kong', '344', 'HK', 'HKG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (101, 'Hungary', '348', 'HU', 'HUN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (102, 'Iceland', '352', 'IS', 'ISL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (103, 'India', '356', 'IN', 'IND');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (104, 'Indonesia', '360', 'ID', 'IDN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (105, 'Iran (Islamic Republic of)', '364', 'IR', 'IRN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (106, 'Iraq', '368', 'IQ', 'IRQ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (107, 'Ireland', '372', 'IE', 'IRL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (108, 'Isle of Man', '833', 'IM', 'IMN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (109, 'Israel', '376', 'IL', 'ISR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (110, 'Italy', '380', 'IT', 'ITA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (111, 'Jamaica', '388', 'JM', 'JAM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (112, 'Japan', '392', 'JP', 'JPN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (113, 'Jersey', '832', 'JE', 'JEY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (114, 'Jordan', '400', 'JO', 'JOR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (115, 'Kazakhstan', '398', 'KZ', 'KAZ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (116, 'Kenya', '404', 'KE', 'KEN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (117, 'Kiribati', '296', 'KI', 'KIR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (118, 'Korea (Democratic People''s Republic of)', '408', 'KP', 'PRK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (119, 'Korea (Republic of)', '410', 'KR', 'KOR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (120, 'Kuwait', '414', 'KW', 'KWT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (121, 'Kyrgyzstan', '417', 'KG', 'KGZ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (122, 'Lao People''s Democratic Republic', '418', 'LA', 'LAO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (123, 'Latvia', '428', 'LV', 'LVA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (124, 'Lebanon', '422', 'LB', 'LBN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (125, 'Lesotho', '426', 'LS', 'LSO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (126, 'Liberia', '430', 'LR', 'LBR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (127, 'Libya', '434', 'LY', 'LBY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (128, 'Liechtenstein', '438', 'LI', 'LIE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (129, 'Lithuania', '440', 'LT', 'LTU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (130, 'Luxembourg', '442', 'LU', 'LUX');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (131, 'Macao', '446', 'MO', 'MAC');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (132, 'Macedonia (the former Yugoslav Republic of)', '807', 'MK', 'MKD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (133, 'Madagascar', '450', 'MG', 'MDG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (134, 'Malawi', '454', 'MW', 'MWI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (135, 'Malaysia', '458', 'MY', 'MYS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (136, 'Maldives', '462', 'MV', 'MDV');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (137, 'Mali', '466', 'ML', 'MLI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (138, 'Malta', '470', 'MT', 'MLT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (139, 'Marshall Islands', '584', 'MH', 'MHL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (140, 'Martinique', '474', 'MQ', 'MTQ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (141, 'Mauritania', '478', 'MR', 'MRT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (142, 'Mauritius', '480', 'MU', 'MUS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (143, 'Mayotte', '175', 'YT', 'MYT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (144, 'Mexico', '484', 'MX', 'MEX');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (145, 'Micronesia (Federated States of)', '583', 'FM', 'FSM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (146, 'Moldova (Republic of)', '498', 'MD', 'MDA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (147, 'Monaco', '492', 'MC', 'MCO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (148, 'Mongolia', '496', 'MN', 'MNG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (149, 'Montenegro', '499', 'ME', 'MNE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (150, 'Montserrat', '500', 'MS', 'MSR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (151, 'Morocco', '504', 'MA', 'MAR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (152, 'Mozambique', '508', 'MZ', 'MOZ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (153, 'Myanmar', '104', 'MM', 'MMR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (154, 'Namibia', '516', 'NA', 'NAM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (155, 'Nauru', '520', 'NR', 'NRU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (156, 'Nepal', '524', 'NP', 'NPL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (157, 'Netherlands', '528', 'NL', 'NLD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (158, 'New Caledonia', '540', 'NC', 'NCL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (159, 'New Zealand', '554', 'NZ', 'NZL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (160, 'Nicaragua', '558', 'NI', 'NIC');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (161, 'Niger', '562', 'NE', 'NER');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (162, 'Nigeria', '566', 'NG', 'NGA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (163, 'Niue', '570', 'NU', 'NIU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (164, 'Norfolk Island', '574', 'NF', 'NFK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (165, 'Northern Mariana Islands', '580', 'MP', 'MNP');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (166, 'Norway', '578', 'NO', 'NOR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (167, 'Oman', '512', 'OM', 'OMN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (168, 'Pakistan', '586', 'PK', 'PAK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (169, 'Palau', '585', 'PW', 'PLW');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (170, 'Palestine, State of', '275', 'PS', 'PSE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (171, 'Panama', '591', 'PA', 'PAN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (172, 'Papua New Guinea', '598', 'PG', 'PNG');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (173, 'Paraguay', '600', 'PY', 'PRY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (174, 'Peru', '604', 'PE', 'PER');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (175, 'Philippines', '608', 'PH', 'PHL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (176, 'Pitcairn', '612', 'PN', 'PCN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (177, 'Poland', '616', 'PL', 'POL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (178, 'Portugal', '620', 'PT', 'PRT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (179, 'Puerto Rico', '630', 'PR', 'PRI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (180, 'Qatar', '634', 'QA', 'QAT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (181, 'Réunion', '638', 'RE', 'REU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (182, 'Romania', '642', 'RO', 'ROU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (183, 'Russian Federation', '643', 'RU', 'RUS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (184, 'Rwanda', '646', 'RW', 'RWA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (185, 'Saint Barthélemy', '652', 'BL', 'BLM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (186, 'Saint Helena, Ascension and Tristan da Cunha', '654', 'SH', 'SHN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (187, 'Saint Kitts and Nevis', '659', 'KN', 'KNA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (188, 'Saint Lucia', '662', 'LC', 'LCA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (189, 'Saint Martin (French part)', '663', 'MF', 'MAF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (190, 'Saint Pierre and Miquelon', '666', 'PM', 'SPM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (191, 'Saint Vincent and the Grenadines', '670', 'VC', 'VCT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (192, 'Samoa', '882', 'WS', 'WSM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (193, 'San Marino', '674', 'SM', 'SMR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (194, 'Sao Tome and Principe', '678', 'ST', 'STP');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (195, 'Saudi Arabia', '682', 'SA', 'SAU');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (196, 'Senegal', '686', 'SN', 'SEN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (197, 'Serbia', '688', 'RS', 'SRB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (198, 'Seychelles', '690', 'SC', 'SYC');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (199, 'Sierra Leone', '694', 'SL', 'SLE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (200, 'Singapore', '702', 'SG', 'SGP');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (201, 'Sint Maarten (Dutch part)', '534', 'SX', 'SXM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (202, 'Slovakia', '703', 'SK', 'SVK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (203, 'Slovenia', '705', 'SI', 'SVN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (204, 'Solomon Islands', '090', 'SB', 'SLB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (205, 'Somalia', '706', 'SO', 'SOM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (206, 'South Africa', '710', 'ZA', 'ZAF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (207, 'South Georgia and the South Sandwich Islands', '239', 'GS', 'SGS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (208, 'South Sudan', '728', 'SS', 'SSD');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (209, 'Spain', '724', 'ES', 'ESP');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (210, 'Sri Lanka', '144', 'LK', 'LKA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (211, 'Sudan', '729', 'SD', 'SDN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (212, 'Suriname', '740', 'SR', 'SUR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (213, 'Svalbard and Jan Mayen', '744', 'SJ', 'SJM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (214, 'Swaziland', '748', 'SZ', 'SWZ');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (215, 'Sweden', '752', 'SE', 'SWE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (216, 'Switzerland', '756', 'CH', 'CHE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (217, 'Syrian Arab Republic', '760', 'SY', 'SYR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (218, 'Taiwan (Province of China)', '158', 'TW', 'TWN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (219, 'Tajikistan', '762', 'TJ', 'TJK');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (220, 'Tanzania, United Republic of', '834', 'TZ', 'TZA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (221, 'Thailand', '764', 'TH', 'THA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (222, 'Timor-Leste', '626', 'TL', 'TLS');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (223, 'Togo', '768', 'TG', 'TGO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (224, 'Tokelau', '772', 'TK', 'TKL');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (225, 'Tonga', '776', 'TO', 'TON');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (226, 'Trinidad and Tobago', '780', 'TT', 'TTO');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (227, 'Tunisia', '788', 'TN', 'TUN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (228, 'Turkey', '792', 'TR', 'TUR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (229, 'Turkmenistan', '795', 'TM', 'TKM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (230, 'Turks and Caicos Islands', '796', 'TC', 'TCA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (231, 'Tuvalu', '798', 'TV', 'TUV');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (232, 'Uganda', '800', 'UG', 'UGA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (233, 'Ukraine', '804', 'UA', 'UKR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (234, 'United Arab Emirates', '784', 'AE', 'ARE');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (235, 'United Kingdom of Great Britain and Northern Ireland', '826', 'GB', 'GBR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (236, 'United States of America', '840', 'US', 'USA');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (237, 'United States Minor Outlying Islands', '581', 'UM', 'UMI');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (238, 'Uruguay', '858', 'UY', 'URY');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (239, 'Uzbekistan', '860', 'UZ', 'UZB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (240, 'Vanuatu', '548', 'VU', 'VUT');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (241, 'Venezuela (Bolivarian Republic of)', '862', 'VE', 'VEN');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (242, 'Viet Nam', '704', 'VN', 'VNM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (243, 'Virgin Islands (British)', '092', 'VG', 'VGB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (244, 'Virgin Islands (U.S.)', '850', 'VI', 'VIR');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (245, 'Wallis and Futuna', '876', 'WF', 'WLF');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (246, 'Western Sahara', '732', 'EH', 'ESH');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (247, 'Yemen', '887', 'YE', 'YEM');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (248, 'Zambia', '894', 'ZM', 'ZMB');";
        $wpdb->query( $sql );

        $sql = "INSERT INTO $table (id, name, `numeric`, alpha2, alpha3) VALUES (249, 'Zimbabwe', '716', 'ZW', 'ZWE');";
        $wpdb->query( $sql );
    }

    $table = $wpdb->prefix . "wcdpi_product_sales";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
			`id` INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `prodws_id` VARCHAR(50) NOT NULL,
            `product_code` INT(16) NOT NULL,
            `name` VARCHAR(1024) NOT NULL,
            `annotation` VARCHAR(256) NULL,
            `destination` VARCHAR(256) NOT NULL,
            `version` INT(10) NOT NULL,
            `valid_from` DATETIME NOT NULL,
            `valid_to` DATETIME NULL,
            `price` INT(8) NOT NULL,
            `ppl` INT(8) NOT NULL,
            `information_text` VARCHAR(512) NULL,
            `length_min` INT(8) NULL,
            `length_max` INT(8) NULL,
            `length_unit` VARCHAR(8) NULL,
            `width_min` INT(8) NULL,
            `width_max` INT(8) NULL,
            `width_unit` VARCHAR(8) NULL,
            `height_min` INT(8) NULL,
            `height_max` INT(8) NULL,
            `height_unit` VARCHAR(8) NULL,
            `weight_min` INT(8) NULL,
            `weight_max` INT(8) NULL,
            `weight_unit` VARCHAR(8) NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    $table = $wpdb->prefix . "wcdpi_shipment";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
		    `id` INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `order_id` INT(20) NULL,
            `prodws_id` VARCHAR(50) NULL,
            `feature_unique_id` VARCHAR(255) NULL,
            `ekp` VARCHAR(256) NULL,
            `shop_order_id` VARCHAR(100) NULL,
            `shop_pp_order_id` VARCHAR(100) NULL,
            `pp_shipment_id` VARCHAR(255) NULL,
            `awb_id` VARCHAR(100) NULL,
            `voucher_id` VARCHAR(100) NULL,
            `tracking` VARCHAR(100) NULL,
            `retoure_transaction_id` VARCHAR(100) NULL,
            `price` int(8) NULL,
            `nature_type` VARCHAR(255) NULL,
            `service_level` VARCHAR(255) NULL,
            `status` VARCHAR(255) NOT NULL,
            `purchase_dt` DATETIME NULL,
            `status_update_dt` DATETIME NULL,
            `sender_first_name` VARCHAR(50) NULL,
            `sender_last_name` VARCHAR(50) NULL,
            `sender_is_company` SMALLINT(1) NULL,
            `sender_company_name` VARCHAR(255) NULL,
            `sender_email` VARCHAR(255) NULL,
            `sender_phone` VARCHAR(255) NULL,
            `sender_contact_name` VARCHAR(255) NULL,
            `sender_street` VARCHAR(255) NULL,
            `sender_house_number` VARCHAR(50) NULL,
            `sender_additional` VARCHAR(255) NULL,
            `sender_zip` VARCHAR(50) NULL,
            `sender_city` VARCHAR(50) NULL,
            `sender_country_alpha2` VARCHAR(50) NULL,
            `sender_country_alpha3` VARCHAR(50) NULL,
            `recipient_first_name` VARCHAR(50) NULL,
            `recipient_last_name` VARCHAR(50) NULL,
            `recipient_is_company` SMALLINT(1) NULL,
            `recipient_company_name` VARCHAR(255) NULL,
            `recipient_email` VARCHAR(255) NULL,
            `recipient_phone` VARCHAR(255) NULL,
            `recipient_street` VARCHAR(255) NULL,
            `recipient_house_number` VARCHAR(50) NULL,
            `recipient_additional` VARCHAR(255) NULL,
            `recipient_zip` VARCHAR(50) NULL,
            `recipient_city` VARCHAR(50) NULL,
            `recipient_state` VARCHAR(50) NULL,
            `recipient_country_alpha2` VARCHAR(50) NULL,
            `recipient_country_alpha3` VARCHAR(50) NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    $table = $wpdb->prefix . "wcdpi_product_additional";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
		    `id` INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `prodws_id` VARCHAR(50) NOT NULL,
            `name` VARCHAR(150) NOT NULL,
            `version` INT(5) NOT NULL,
            `annotation` VARCHAR(256) NULL,
            `destination` VARCHAR(16) NOT NULL,
            `valid_from` DATETIME NOT NULL,
            `valid_to` DATETIME NULL DEFAULT NULL,
            `price` INT(8) NOT NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    $table = $wpdb->prefix . "wcdpi_product_basic";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
		    `id` INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `prodws_id` VARCHAR(50) NOT NULL,
            `name` VARCHAR(150) NOT NULL,
            `version` INT(5) NOT NULL,
            `description` VARCHAR(256) NULL,
            `destination` VARCHAR(16) NOT NULL,
            `valid_from` DATETIME NOT NULL,
            `valid_to` DATETIME NULL DEFAULT NULL,
            `price` INT(8) NOT NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    $table = $wpdb->prefix . "wcdpi_shipment_item";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
	        `id` INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `shipment_id` INT(20) NOT NULL,
            `order_id` INT(20) NOT NULL,
            `product_id` INT(20) NOT NULL,
            `product_quantity` INT(10) NOT NULL,
            `product_price` INT(10) NULL,
            `product_weight` INT(10) NULL,
            `product_hs_code` VARCHAR(256) NULL,
            `product_origin` VARCHAR(8) NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );

    $table = $wpdb->prefix . "wcdpi_shipment_attachment";
    $sql = "
		CREATE TABLE IF NOT EXISTS $table (
	        `id` INT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `shipment_id` INT(20) NOT NULL,
            `url` VARCHAR(256) NOT NULL,
            `type` INT(10) NOT NULL,
            `meta_insert_dt` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`meta_insert_by` INT NOT NULL DEFAULT -1,
			`meta_update_dt` DATETIME NULL,
			`meta_update_by` INT NULL
		) engine=InnoDB;
	";
    $wpdb->query( $sql );
}
elseif ($migrationMode === "UNINSTALL")
{
    $table = $wpdb->prefix . "wcdpi_t_app_service_provider";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_t_app_service";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_t_app_service_feature";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_page_format";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_country";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_product_sales";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_shipment";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_product_additional";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_product_basic";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_shipment_item";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);

    $table = $wpdb->prefix . "wcdpi_shipment_attachment";
    $sql = "DROP TABLE IF EXISTS $table;";
    $wpdb->query($sql);
}