<?php

if ($migrationMode == "UPGRADE")
{
	$tablePostmeta            = $wpdb->prefix . "postmeta";
	$tableOrders              = $wpdb->prefix . "internetmarke_orders";
	$tableShipment            = $wpdb->prefix . "wcdpi_shipment";
	$tableShipmentAttachments = $wpdb->prefix . "wcdpi_shipment_attachment";

	if (
		$wpdb->get_var("SHOW TABLES LIKE '$tableOrders'") == $tableOrders &&
		$wpdb->get_var("SHOW TABLES LIKE '$tableShipment'") == $tableShipment &&
		$wpdb->get_var("SHOW TABLES LIKE '$tableShipmentAttachments'") == $tableShipmentAttachments &&
		$wpdb->get_var("SHOW TABLES LIKE '$tablePostmeta'") == $tablePostmeta
	) {
		$sql = "
			INSERT INTO $tableShipment
			  (
			    order_id
			    , prodws_id
			    , shop_order_id
			    , voucher_id
			    , tracking
			    , retoure_transaction_id
			    , price
			    , status
			    , purchase_dt
			    , status_update_dt
			  )
			  SELECT
			    t_postmeta.post_id AS 'order_id'
			    , NULL AS 'prodws_id'
			    , t_orders.shop_order_id AS 'shop_order_id'
			    , t_orders.voucher_id AS 'voucher_id'
			    , t_orders.tracking_id AS 'tracking'
			    , NULL AS 'retoure_transaction_id'
			    , NULL AS 'price'
			    , 1 AS 'status'
			    , t_orders.purchase_date AS 'date_label_purchase'
			    , NULL AS 'date_label_refund'
			  FROM
			    $tableOrders t_orders
			      INNER JOIN $tablePostmeta t_postmeta
			        ON 1=1
			        AND t_orders.shop_order_id = t_postmeta.meta_value
			        AND t_postmeta.meta_key = 'internetmarke_shop_order_id'
			  WHERE
			    1=1
				AND NOT EXISTS(
			      SELECT
			        1
			      FROM
			        $tableShipment t_shipment
			      WHERE
			        1=1
			        AND t_shipment.shop_order_id = t_orders.shop_order_id
			    )
			;
		";
		$wpdb->query( $sql );

		$sql = "
			INSERT INTO $tableShipmentAttachments
			  (
			    shipment_id
			    , url
			    , type
			  )
			  SELECT
			    t_shipment.id AS 'shipment_id'
			    , t_orders.voucher_url AS 'url'
			    , 0 AS 'type'
			  FROM
			    $tableOrders t_orders
			    INNER JOIN $tableShipment t_shipment
			      ON 1=1
			      AND t_orders.shop_order_id = t_shipment.shop_order_id
			  WHERE
			    1=1
			    AND t_orders.voucher_url IS NOT NULL
			    AND t_orders.voucher_url <> ''
				AND NOT EXISTS(
			      SELECT
			        1
			      FROM
					$tableShipmentAttachments t_attachment
			      WHERE
			        1=1
			        AND t_attachment.shipment_id = t_shipment.id
				  	AND t_attachment.TYPE <> 1
			    )
			;
		";
		$wpdb->query( $sql );

		$sql = "
			INSERT INTO $tableShipmentAttachments
			  (
			    shipment_id
			    , url
			    , type
			  )
			  SELECT
			    t_shipment.id AS 'shipment_id'
			    , t_orders.manifest_url AS 'url'
			    , 1 AS 'type'
			  FROM
			    $tableOrders t_orders
			    INNER JOIN $tableShipment t_shipment
			      ON 1=1
			      AND t_orders.shop_order_id = t_shipment.shop_order_id
			  WHERE
			    1=1
			    AND t_orders.manifest_url IS NOT NULL
			    AND t_orders.manifest_url <> ''
				AND NOT EXISTS(
			      SELECT
			        1
			      FROM
					$tableShipmentAttachments t_attachment
			      WHERE
			        1=1
			        AND t_attachment.shipment_id = t_shipment.id
				  	AND t_attachment.TYPE <> 0
			    )
			;
		";
		$wpdb->query( $sql );
	}
}
elseif ($migrationMode === "UNINSTALL")
{
	$table = $wpdb->prefix . "internetmarke_country_codes";
	$sql = "
		DROP TABLE IF EXISTS $table;
	";
	$wpdb->query( $sql );

	$table = $wpdb->prefix . "internetmarke_orders";
	$sql = "
		DROP TABLE IF EXISTS $table;
	";
	$wpdb->query( $sql );

	$table = $wpdb->prefix . "internetmarke_page_formats";
	$sql = "
		DROP TABLE IF EXISTS $table;
	";
	$wpdb->query( $sql );

	$table = $wpdb->prefix . "internetmarke_product_list";
	$sql = "
		DROP TABLE IF EXISTS $table;
	";
	$wpdb->query( $sql );
}