<?php

/**
 * @var string $migrationMode
 * @var wpdb   $wpdb
 */

use DeutschePost\Internetmarke\Setup;

if ($migrationMode === 'ACTIVATE' || $migrationMode === 'UPGRADE') {
    $sql = "
        DROP TABLE
            `{$wpdb->prefix}wcdpi_t_app_service`,
            `{$wpdb->prefix}wcdpi_t_app_service_feature`,
            `{$wpdb->prefix}wcdpi_t_app_service_provider`;
    ";
    $wpdb->query($sql);


    $sql = "
        UPDATE
            `{$wpdb->prefix}wcdpi_shipment`
        SET
            harmonized_label = 1
        WHERE
            feature_unique_id LIKE 'dppapl_%'
    ";
    $wpdb->query($sql);


    $sql = "
        ALTER TABLE
            `{$wpdb->prefix}wcdpi_shipment`
        DROP
            `feature_unique_id`;
    ";
    $wpdb->query($sql);

    $administrator = get_role('administrator');
    $administrator->remove_cap('p00027_cap_manage_settings');
    $administrator->remove_cap('p00027_cap_use_application');

    if ($shop_manager = get_role('shop_manager')) {
        $shop_manager->remove_cap('p00027_cap_use_application');
    }

    Setup::createRoles();
}