<?php

use DeutschePost\Internetmarke\Models\Resources\ProductSales as ProductSalesResourceModel;

defined('ABSPATH') || exit;

/**
 * Available variables
 *
 * @var WC_Order $order
 * @var string $shippingCountry
 */

?>

<div id="wcdpi-quick-buy-meta-box-content" class="pos-r quick-buy">
    <p>
        <select @change="selectLabel($event)"
                name="wcdpi_quick_buy_shipping_product"
                id="wcdpi-quick-buy-shipping-product">
            <?php
            echo sprintf(
                '<option value="" selected="selected">%s</option>',
                __('Select a shipping product', 'woo-dp-internetmarke')
            );
            ?>

            <?php foreach (wcdpi_get_shipping_products_array(true, $shippingCountry) as $shippingProductGroup): ?>

                <optgroup label="<?php echo esc_attr($shippingProductGroup['label']); ?>">

                    <?php
                    /** @var ProductSalesResourceModel $shippingProduct */
                    foreach ($shippingProductGroup['products'] as $shippingProduct):
                        ?>

                        <option value="<?php echo esc_attr($shippingProduct->getProdwsId()); ?>">
                            <?php echo esc_html($shippingProduct->getName()); ?>
                        </option>

                    <?php endforeach; ?>

                </optgroup>

            <?php endforeach; ?>
        </select>
    </p>

    <?php if ($order->get_shipping_country() !== 'DE'): ?>

        <p>
            <input id="quick-buy-harmonized-label"
                   type="checkbox"
                   :disabled="harmonizedLabel === false"
                   name="wcdpi_quick_buy_harmonized_label"
                   v-model="selected"
                   value="1">
            <label for="quick-buy-harmonized-label" :class="{ 'text-muted': harmonizedLabel === false }">
                <span><?php _e('Harmonized Label, CN22', 'woo-dp-internetmarke'); ?></span>
            </label>
        </p>

    <?php endif; ?>

    <p class="mb-0">
        <input class="action-button yellow m-0"
               type="submit"
               name="wcdpi_shipment_action_quick_buy"
               value="<?php esc_attr_e('Create shipment', 'woo-dp-internetmarke'); ?>">
    </p>
    <div class="wcdpi-loading" v-if="loading">
        <img src="/wp-includes/images/spinner.gif"
             alt="<?php esc_attr_e('Loading...', 'woo-dp-internetmarke'); ?>">
    </div>
</div>


