<?php defined('ABSPATH') || exit(); ?>

<div class="inner-wrapper">

    <div class="row">
        <div class="col-12 p-0">
            <div class="label-navigation p-1 pt-0">
                <div class="col-6" v-for="group in list.menu" v-if="shouldShippingGroupBeVisible(group.slug)">
                    <h3>{{ group.name }}</h3>
                    <div class="list">
                        <button class="link"
                                v-for="category in group.sub"
                                @click="changeShippingCategory(category.slug)"
                                :class="{ active: active.shippingCategory === category.slug }"
                                v-if="shouldShippingCategoryBeVisible(category.slug)">
                            <span>{{ category.name }}</span>
                        </button>
                    </div>
                </div>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>

    <div class="row p-1">
        <div id="column-shipping-products" class="col-4">
            <h3 class="border-bottom"><?php esc_html_e('Shipping product', 'woo-dp-internetmarke'); ?></h3>
            <div v-for="group in list.product">
                <div v-for="(shippingProductGroup, category) in group" v-if="category === active.shippingCategory">
                    <div v-for="shippingProduct in shippingProductGroup">
                        <button class="action-button grey"
                                :class="{ active: shippingProduct.prodwsId === active.shippingProduct }"
                                @click="changeShippingProduct(shippingProduct.prodwsId)">
                            <span>{{ shippingProduct.name }}</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div id="column-additional-services" class="col-4">
            <h3 class="border-bottom">
                <?php esc_html_e('Additional services', 'woo-dp-internetmarke'); ?>
            </h3>

            <div v-for="(shippingOptions, prodwsId) in list.options" v-if="prodwsId == active.shippingProduct">
                <div v-for="shippingOption in shippingOptions" class="shipping-option">
                    <input :id="shippingOption.prodwsId"
                           type="radio"
                           :name="'additional_option[' + prodwsId + ']'"
                           @change="changeShippingOption(shippingOption.prodwsId)">
                    <label :for="shippingOption.prodwsId">{{ shippingOption.name }}</label>
                </div>
            </div>

            <div v-if="isHarmonizedLabelPossible()">
                <h3 class="border-bottom"><?php esc_html_e('Additional options', 'woo-dp-internetmarke'); ?></h3>
                <div>
                    <input id="wcdpi-harmonized-label"
                           type="checkbox"
                           name="harmonized_label"
                           v-model="active.harmonizedLabel"
                           @change="toggleHarmonizedLabel()"
                           value="1">
                    <label for="wcdpi-harmonized-label">
                        <span><?php esc_html_e('Harmonized label'); ?></span>
                        <br>
                        <small><?php esc_html_e('incl. CN22 customs declaration for shipments outside the European Union', 'woo-dp-internetmarke'); ?></small>
                    </label>
                </div>
            </div>

        </div>

        <div id="column-preview" class="col-4">
            <h3 class="border-bottom"><?php esc_html_e('Preview', 'woo-dp-internetmarke'); ?></h3>
            <div class="preview-container">
                <img :src="active.previewImageUrl"
                     alt="<?php esc_attr_e('Select a product to preview its label before purchase.', 'woo-dp-internetmarke'); ?>"
                     class="preview">
                <div class="address-sender"></div>
                <div class="address-recipient"></div>
            </div>
            <div style="clear: both;"></div>
            <div class="total mt-1">
                <div class="price" v-html="display.price">0,00 €</div>
                <div><small><?php esc_html_e('Total', 'woo-dp-internetmarke'); ?></small></div>
            </div>
        </div>
    </div>

    <div class="row p-1" style="background-color: #ededed;">
        <div class="col-4">
            <h3 class="border-bottom"><?php esc_html_e('Dimension', 'woo-dp-internetmarke'); ?></h3>
            <div v-html="display.dimensions"></div>
        </div>
        <div class="col-8">
            <h3 class="border-bottom"><?php esc_html_e('Description', 'woo-dp-internetmarke'); ?></h3>
            <div v-html="display.info"></div>
        </div>
    </div>

    <div class="row p-1" v-if="error.labelNotFound === true">
        <div class="error-box">
            <p><?php _e('The label preview could not be loaded.', 'woo-dp-internetmarke'); ?></p>
        </div>
    </div>

</div>