<?php

defined('ABSPATH') || exit();

/**
 * @var array $countries
 */

?>

<div class="inner-wrapper">

    <div class="row p-1">
        <div class="col-12">
            <h2 class="border-bottom"><?php esc_html_e('Line items', 'woo-dp-internetmarke'); ?></h2>

            <div class="line-items" v-if="!active.harmonizedLabel">
                <div class="header">
                    <div><?php esc_html_e('Quantity', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Name', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('SKU', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Price', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Weight', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Dimensions', 'woo-dp-internetmarke'); ?></div>
                </div>
                <div class="table-row" v-for="(lineItem, i) in list.lineItems">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][productId]'"
                           v-model="list.lineItems[i].productId">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][qtyShipped]'"
                           v-model="list.lineItems[i].qtyShipped">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][name]'"
                           v-model="list.lineItems[i].name">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][price]'"
                           v-model="list.lineItems[i].price">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][weight]'"
                           v-model="list.lineItems[i].weight">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][countryOfManufacture]'"
                           v-model="list.lineItems[i].countryOfManufacture">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][hsCode]'"
                           v-model="list.lineItems[i].hsCode">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][customsDeclaration]'"
                           v-model="list.lineItems[i].customsDeclaration">

                    <div>
                        <input class="quantity"
                               type="number"
                               min="0"
                               :name="'lineItems[' + i + '][qtySelected]'"
                               v-model="list.lineItems[i].qtySelected">
                        <span>/ {{ lineItem.qtyAvailable }}</span>
                        <br v-if="lineItem.qtyShipped > 0">
                        <small v-if="lineItem.qtyShipped > 0">
                            <?php esc_html_e('Shipped', 'woo-dp-internetmarke'); ?>: {{ lineItem.qtyShipped }}
                        </small>
                    </div>
                    <div>
                        <a class="action-button link m-0"
                           :href="lineItem.editUrl"
                           target="_blank"
                           rel="noopener">
                            <span>{{ lineItem.name }}</span>
                        </a>
                    </div>
                    <div><small>{{ lineItem.sku }}</small></div>
                    <div>
                        <span v-html="formatPrice(lineItem.price)"></span>
                    </div>
                    <div>{{ lineItem.weight }}{{ display.weightUnit }}</div>
                    <div v-html="lineItem.dimensions"></div>
                </div>
            </div>

            <div class="line-items" v-if="active.harmonizedLabel">
                <div class="header">
                    <div><?php esc_html_e('Quantity', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Name', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Price', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Weight', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('Dimensions', 'woo-dp-internetmarke'); ?></div>
                    <div><?php esc_html_e('HS Code', 'woo-dp-internetmarke'); ?></div>
                    <div><?php _e('Country of manufacture', 'woo-dp-internetmarke'); ?></div>
                    <div><?php _e('Customs declaration', 'woo-dp-internetmarke'); ?></div>

                </div>
                <div class="table-row" v-for="(lineItem, i) in list.lineItems">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][productId]'"
                           v-model="list.lineItems[i].productId">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][qtyShipped]'"
                           v-model="list.lineItems[i].qtyShipped">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][name]'"
                           v-model="list.lineItems[i].name">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][price]'"
                           v-model="list.lineItems[i].price">
                    <input type="hidden"
                           :name="'lineItems[' + i + '][weight]'"
                           v-model="list.lineItems[i].weight">

                    <div>
                        <input class="quantity"
                               type="number"
                               min="0"
                               :name="'lineItems[' + i + '][qtySelected]'"
                               v-model="list.lineItems[i].qtySelected">
                        <span>/ {{ lineItem.qtyOrdered }}</span>
                    </div>
                    <div>
                        <a class="action-button link m-0"
                           :href="lineItem.editUrl"
                           target="_blank"
                           rel="noopener">{{ lineItem.name }}</a>
                        <div v-if="lineItem.sku">
                            <small><strong>SKU:</strong> {{ lineItem.sku }}</small>
                        </div>
                    </div>
                    <div>
                        <span v-html="formatPrice(lineItem.price)"></span>
                    </div>
                    <div>{{ lineItem.weight }}{{ display.weightUnit }}</div>
                    <div v-html="lineItem.dimensions"></div>
                    <div>
                        <input class="hs-code"
                               type="text"
                               :name="'lineItems[' + i + '][hsCode]'"
                               v-model="list.lineItems[i].hsCode">
                    </div>
                    <div>
                        <select class="country-of-manufacture"
                                :name="'lineItems[' + i + '][countryOfManufacture]'"
                                v-model="list.lineItems[i].countryOfManufacture">
                            <?php foreach ($countries as $iso2 => $name): ?>
                                <option value="<?php echo esc_html($iso2); ?>"><?php echo esc_html($name); ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    <div>
                        <input class="customs-declaration"
                               maxlength="33"
                               size="33"
                               type="text"
                               :name="'lineItems[' + i + '][customsDeclaration]'"
                               v-model="list.lineItems[i].customsDeclaration">
                    </div>
                </div>
            </div>

            <table class="shipment-summary">
                <thead>
                <tr>
                    <th colspan="2">
                        <h3 class="border-bottom d-ib">
                            <?php esc_html_e('Shipment summary', 'woo-dp-internetmarke'); ?>
                        </h3>
                    </th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <th><b><?php esc_html_e('Value', 'woo-dp-internetmarke'); ?></b></th>
                    <td><span v-html="formatPrice(getShipmentValue())"></span></td>
                </tr>
                <tr>
                    <th><b><?php esc_html_e('Weight', 'woo-dp-internetmarke'); ?></b></th>
                    <td>
                        {{ getShipmentWeight() }}{{ display.weightUnit }}
                    </td>
                </tr>
                </tbody>
            </table>

            <div class="footnote">
                <p><small><?php esc_html_e('Please note that all and any changes made will only be applied to the resulting shipment and its respective shipping label. The original order/product data will not be modified.', 'woo-dp-internetmarke'); ?></small></p>
            </div>
        </div>

    </div>

</div>