<?php

defined('ABSPATH') || exit();

/**
 * @var array $countries
 */

?>

<div class="inner-wrapper">
    <div class="row">
        <div class="col-6">
            <div class="col-12">
                <h3 class="border-bottom"><?php esc_html_e('Sender', 'woo-dp-internetmarke'); ?></h3>
            </div>

            <div class="col-6 address-actions">
                <button class="action-button yellow" type="button" @click="loadDefaultSender('sender')">
                    <?php _e('Load default sender address', 'woo-dp-internetmarke'); ?>
                </button>
                <button class="action-button red" type="button" @click="clearAddress('sender')">
                    <?php _e('Clear', 'woo-dp-internetmarke'); ?>
                </button>
            </div>

            <div class="col-6 address-actions">
                <label for="search-sender" class="sr-only">
                    <?php _e('Search customer', 'woo-dp-internetmarke'); ?>
                </label>
                <select id="search-sender"
                        class="wcdpi-select wcdpi-search-customer"
                        data-target="sender"></select>
                <button class="action-button yellow"
                        type="button"
                        @click="loadCustomerAddress('sender', 'billing')"
                        style="margin-top: .66666667em"
                        :disabled="userId.sender === null">
                    <?php _e('Load billing address', 'woo-dp-internetmarke'); ?>
                </button>
                <button class="action-button yellow"
                        type="button"
                        @click="loadCustomerAddress('sender', 'shipping')"
                        :disabled="userId.sender === null">
                    <?php _e('Load shipping address', 'woo-dp-internetmarke'); ?>
                </button>
            </div>

            <div class="col-12 form-row">
                <label for="wcdpi-sender-first-name">
                    <strong><?php esc_html_e('First name', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-first-name"
                       class="wcdpi-input"
                       type="text"
                       name="sender[firstName]"
                       v-model="form.sender.firstName">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-last-name">
                    <strong><?php esc_html_e('Last name', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-last-name"
                       class="wcdpi-input"
                       type="text"
                       name="sender[lastName]"
                       v-model="form.sender.lastName">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-company">
                    <strong><?php esc_html_e('Company', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-company"
                       class="wcdpi-input"
                       type="text"
                       name="sender[company]"
                       v-model="form.sender.company">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-email">
                    <strong><?php esc_html_e('Email', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-email"
                       class="wcdpi-input"
                       type="text"
                       name="sender[email]"
                       v-model="form.sender.email">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-phone">
                    <strong><?php esc_html_e('Phone', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-phone"
                       class="wcdpi-input"
                       type="text"
                       name="sender[phone]"
                       v-model="form.sender.phone">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-street">
                    <strong><?php esc_html_e('Street', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-street"
                       class="wcdpi-input"
                       type="text"
                       name="sender[street]"
                       v-model="form.sender.street">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-house-number">
                    <strong><?php esc_html_e('House number', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-house-number"
                       class="wcdpi-input"
                       type="text"
                       name="sender[houseNumber]"
                       v-model="form.sender.houseNumber">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-additional">
                    <strong><?php esc_html_e('Additional', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-additional"
                       class="wcdpi-input"
                       type="text"
                       name="sender[additional]"
                       v-model="form.sender.additional">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-city">
                    <strong><?php esc_html_e('City', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-city"
                       class="wcdpi-input"
                       type="text"
                       name="sender[city]"
                       v-model="form.sender.city">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-zip">
                    <strong><?php esc_html_e('ZIP', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-sender-zip"
                       class="wcdpi-input"
                       type="text"
                       name="sender[zip]"
                       v-model="form.sender.zip">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-sender-country">
                    <strong><?php esc_html_e('Country', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <select id="wcdpi-sender-country"
                        class="wcdpi-select"
                        name="sender[country]"
                        v-model="form.sender.country">
                    <option value="DE"><?php echo esc_html($countries['DE']); ?></option>
                </select>
            </div>
        </div>
        <div class="col-6">
            <div class="col-12">
                <h3 class="border-bottom"><?php esc_html_e('Recipient', 'woo-dp-internetmarke'); ?></h3>
            </div>

            <div class="col-6 address-actions">
                <button class="action-button yellow" type="button" @click="loadDefaultSender('recipient')">
                    <?php _e('Load default sender address', 'woo-dp-internetmarke'); ?>
                </button>
                <button class="action-button red" type="button" @click="clearAddress('recipient')">
                    <?php _e('Clear', 'woo-dp-internetmarke'); ?>
                </button>
            </div>

            <div class="col-6 address-actions">
                <label for="search-recipient" class="sr-only">
                    <?php _e('Search customer', 'woo-dp-internetmarke'); ?>
                </label>
                <select id="search-recipient"
                        class="wcdpi-select wcdpi-search-customer"
                        data-target="recipient"></select>
                <button class="action-button yellow"
                        type="button"
                        @click="loadCustomerAddress('recipient', 'billing')"
                        style="margin-top: .66666667em"
                        :disabled="userId.recipient === null">
                    <?php _e('Load billing address', 'woo-dp-internetmarke'); ?>
                </button>
                <button class="action-button yellow"
                        type="button"
                        @click="loadCustomerAddress('recipient', 'shipping')"
                        :disabled="userId.recipient === null">
                    <?php _e('Load shipping address', 'woo-dp-internetmarke'); ?>
                </button>
            </div>

            <div class="col-12 form-row">
                <label for="wcdpi-recipient-first-name">
                    <strong><?php esc_html_e('First name', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-first-name"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[firstName]"
                       v-model="form.recipient.firstName">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-last-name">
                    <strong><?php esc_html_e('Last name', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-last-name"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[lastName]"
                       v-model="form.recipient.lastName">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-company">
                    <strong><?php esc_html_e('Company', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-company"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[company]"
                       v-model="form.recipient.company">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-email">
                    <strong><?php esc_html_e('Email', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-email"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[email]"
                       v-model="form.recipient.email">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-phone">
                    <strong><?php esc_html_e('Phone', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-phone"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[phone]"
                       v-model="form.recipient.phone">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-street">
                    <strong><?php esc_html_e('Street', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-street"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[street]"
                       v-model="form.recipient.street">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-house-number">
                    <strong><?php esc_html_e('House number', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-house-number"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[houseNumber]"
                       v-model="form.recipient.houseNumber">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-additional">
                    <strong><?php esc_html_e('Additional', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-additional"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[additional]"
                       v-model="form.recipient.additional">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-city">
                    <strong><?php esc_html_e('City', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-city"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[city]"
                       v-model="form.recipient.city">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-zip">
                    <strong><?php esc_html_e('ZIP', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-zip"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[zip]"
                       v-model="form.recipient.zip">
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-country">
                    <strong><?php esc_html_e('Country', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <select id="wcdpi-recipient-country"
                        class="wcdpi-select"
                        name="recipient[country]"
                        v-model="form.recipient.country">
                    <?php foreach ($countries as $iso2 => $name): ?>
                        <option value="<?php echo esc_attr($iso2); ?>"><?php echo esc_html($name); ?></option>
                    <?php endforeach; ?>
                </select>
            </div>
            <div class="col-12 form-row">
                <label for="wcdpi-recipient-state">
                    <strong><?php esc_html_e('State', 'woo-dp-internetmarke'); ?></strong>
                </label>
                <input id="wcdpi-recipient-state"
                       class="wcdpi-input"
                       type="text"
                       name="recipient[state]"
                       v-model="form.recipient.state">
            </div>

        </div>
    </div>
</div>