<?php defined('ABSPATH') || exit; ?>

<div id="wcdpi-label-shop" class="wcdpi-modal static">
    <form class="modal-inner ml-0"
          action="<?php echo esc_url(admin_url('admin-post.php')); ?>"
          method="POST">
        <?php wp_nonce_field('wcdpi_submit_shipment_form'); ?>
        <input type="hidden" name="action" value="wcdpi_label_shop_submit_shipment"/>
        <input type="hidden" name="orderId" value=""/>
        <input type="hidden" name="prodwsId" :value="active.prodwsId"/>
        <input type="hidden" name="shipmentAction" :value="active.shipmentAction"/>

        <div class="outer-wrapper">

            <div class="title-bar d-f">
                <div class="logo-container">
                    <b>Internetmarke - <?php _e('Label shop', 'woo-dp-internetmarke'); ?></b>
                </div>
            </div>

            <div class="steps-wrapper">
                <div class="step step-1" :class="getStepClass(1)">
                    <?php include_once WCDPI_TEMPLATES_DIR . 'page-label-shop-wizard/step-1.php'; ?>
                </div>
                <div class="step step-2" :class="getStepClass(2)">
                    <?php include_once WCDPI_TEMPLATES_DIR . 'page-label-shop-wizard/step-2.php'; ?>
                </div>
                <div class="step step-3" :class="getStepClass(3)">
                    <?php include_once WCDPI_TEMPLATES_DIR . 'page-label-shop-wizard/step-3.php'; ?>
                </div>
            </div>

            <div class="bottom-bar">
                <button @click="previousStep()"
                        type="button"
                        v-if="steps.current > 1"
                        class="action-button yellow fl-l m-0">
                    <span><?php esc_html_e('Previous step', 'woo-dp-internetmarke'); ?></span>
                </button>
                <button @click="nextStep()"
                        type="button"
                        v-if="steps.current < steps.max"
                        class="action-button yellow d-b m-0 ml-auto">
                    <span><?php esc_html_e('Next step', 'woo-dp-internetmarke'); ?></span>
                </button>

                <div v-if="steps.current === steps.max">
                    <button @click="showConfirmationDialog()"
                            type="button"
                            :disabled="canSubmitShipment() === false"
                            class="action-button yellow fl-r m-0">
                        <span><?php esc_html_e('Create shipment', 'woo-dp-internetmarke'); ?></span>
                    </button>
                    <button type="submit"
                            name="shipmentAction"
                            :disabled="canSubmitShipment() === false"
                            value="prepare"
                            class="action-button grey fl-r m-0 mr-1">
                        <span><?php esc_html_e('Prepare shipment', 'woo-dp-internetmarke'); ?></span>
                    </button>
                </div>

                <div class="confirmation-dialog" v-if="active.confirmationDialog">
                    <p><?php esc_html_e('Are you sure? This action will deduct the label cost from your Portokasse wallet', 'woo-dp-internetmarke'); ?></p>
                    <button @click="active.confirmationDialog = null"
                            type="button"
                            class="action-button grey m-0 mr-1">
                        <span><?php esc_html_e('No', 'woo-dp-internetmarke'); ?></span>
                    </button>
                    <button type="submit"
                            name="shipmentAction"
                            :disabled="canSubmitShipment() === false"
                            value="create"
                            class="action-button yellow m-0">
                        <span><?php esc_html_e('Yes', 'woo-dp-internetmarke'); ?></span>
                    </button>
                </div>
            </div>

        </div>
        <div class="wcdpi-loading" v-if="loading">
            <img src="/wp-includes/images/spinner.gif"
                 alt="<?php esc_attr_e('Loading...', 'woo-dp-internetmarke'); ?>"/>
        </div>
    </form>
</div>