<?php defined('ABSPATH') || exit; ?>

<div class="wrap">

    <?php include 'header.php';?>

    <?php settings_errors(); ?>

    <nav id="wcdpi-settings-nav" class="nav-tab-wrapper" style="margin: 1.5em 0 1em;">
        <a href="?page=internetmarke_settings&tab=general" class="nav-tab <?=($tab == 'general') ? 'nav-tab-active' : '';?>">
            <span><?=__('General', 'woo-dp-internetmarke');?></span>
        </a>
        <a href="?page=internetmarke_settings&tab=services" class="nav-tab <?=($tab == 'services') ? 'nav-tab-active' : '';?>">
            <span><?=__('Services', 'woo-dp-internetmarke');?></span>
        </a>
        <a href="?page=internetmarke_settings&tab=tools" class="nav-tab <?=($tab == 'tools') ? 'nav-tab-active' : '';?>">
            <span><?=__('Tools', 'woo-dp-internetmarke');?></span>
        </a>
    </nav>

    <?php if ($tab == 'services'): ?>
        <ul class="wcdpi-settings-subsection-menu">
            <li>
                <a class="<?=($section == 'portokasse') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=services&section=portokasse">
                    <span><?=__('Portokasse', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'internetmarke_1c4a') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=services&section=internetmarke_1c4a">
                    <span><?=__('Plugin', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'internetmarke_1c4r') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=services&section=internetmarke_1c4r">
                    <span><?=__('Refunds', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'internetmarke_prodws') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=services&section=internetmarke_prodws">
                    <span><?=__('Product list', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'packet_plus_international') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=services&section=packet_plus_international">
                    <span><?=__('Harmonized Label', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
        </ul>

    <?php elseif ($tab == 'support'): ?>
        <ul class="wcdpi-settings-subsection-menu">
            <li>
                <a class="<?=($section == 'description') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=support&section=description">
                    <span><?=__('Description', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'faq') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=support&section=faq">
                    <span><?=__('FAQ', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'troubleshooting') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=support&section=troubleshooting">
                    <span><?=__('Troubleshooting', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
        </ul>

    <?php elseif ($tab == 'tools'): ?>
        <ul class="wcdpi-settings-subsection-menu">
            <li>
                <a class="<?=($section == 'port_checker') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=tools&section=port_checker">
                    <span><?=__('Port-Checker', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'synchronization') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=tools&section=synchronization">
                    <span><?=__('Synchronization', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'scheduled_tasks') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=tools&section=scheduled_tasks">
                    <span><?=__('Scheduled Tasks', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
            <li>
                <a class="<?=($section == 'logger') ? 'active' : '';?>" href="?page=internetmarke_settings&tab=tools&section=logger">
                    <span><?=__('Logging', 'woo-dp-internetmarke');?></span>
                </a>
            </li>
        </ul>

    <?php endif; ?>

    <form action="options.php" method="POST">

        <?php if ($tab == 'general'): ?>

            <?php settings_fields('_wcdpi_settings_group_general'); ?>
            <?php do_settings_sections('_wcdpi_roles_and_permissions'); ?>
            <div class="wcdpi-default-sender-address">
                <?php do_settings_sections('_wcdpi_wizard_dimensions'); ?>
                <?php do_settings_sections('_wcdpi_default_sender'); ?>
            </div>
            <?php submit_button(); ?>

        <?php elseif ($tab == 'services'): ?>

            <?php if ($section == 'portokasse'): ?>

                <?php include 'settings/section-portokasse.php'; ?>
                <?php settings_fields('_wcdpi_settings_group_portokasse'); ?>
                <?php do_settings_sections('_wcdpi_portokasse'); ?>
                <?php submit_button(); ?>

            <?php elseif ($section == 'internetmarke_1c4a'): ?>

                <?php include 'settings/section-internetmarke-1c4a.php'; ?>
                <?php settings_fields('_wcdpi_settings_group_internetmarke_1c4a'); ?>
                <?php do_settings_sections('_wcdpi_label_options'); ?>
                <?php do_settings_sections('_wcdpi_page_formats'); ?>
                <?php do_settings_sections('_wcdpi_favorite_labels'); ?>
                <?php submit_button(); ?>

            <?php elseif ($section == 'internetmarke_1c4r'): ?>

                <?php include 'settings/section-internetmarke-1c4r.php'; ?>
                <?php settings_fields('_wcdpi_settings_group_internetmarke_1c4r'); ?>
                <?php do_settings_sections('_wcdpi_settings_1c4r'); ?>

            <?php elseif ($section == 'internetmarke_prodws'): ?>

                <?php include 'settings/section-internetmarke-prodws.php'; ?>
                <?php settings_fields('_wcdpi_settings_group_internetmarke_prodws'); ?>
                <?php do_settings_sections('_wcdpi_settings_prodws'); ?>

            <?php elseif ($section == 'packet_plus_international'): ?>

                <?php include 'settings/section-packet-plus-international.php'; ?>
                <?php settings_fields('_wcdpi_settings_group_packet_plus_international'); ?>
                <?php do_settings_sections('_wcdpi_packet_plus_international'); ?>
                <?php submit_button(); ?>

            <?php elseif ($section == 'packet_plus_cross_border'): ?>

                <?php include 'settings/section-packet-plus-cross-border.php'; ?>
                <?php settings_fields('_wcdpi_settings_group_packet_plus_cross_border'); ?>
                <?php do_settings_sections('_wcdpi_packet_plus_cross_border'); ?>
                <?php submit_button(); ?>

            <?php endif;?>

        <?php elseif ($tab == 'tools'): ?>

            <?php if ($section == 'port_checker'): ?>

                <?php settings_fields('_wcdpi_settings_group_port_checker'); ?>
                <?php include 'settings/section-port-checker.php'; ?>

            <?php elseif ($section == 'synchronization'): ?>

                <?php settings_fields('_wcdpi_settings_group_tools'); ?>
                <?php include 'settings/section-synchronization.php'; ?>

            <?php elseif ($section == 'scheduled_tasks'): ?>

                <?php settings_fields('_wcdpi_settings_group_scheduled_tasks'); ?>
                <?php include 'settings/section-scheduled-tasks.php'; ?>

            <?php elseif ($section == 'logger'): ?>

                <?php settings_fields('_wcdpi_settings_group_logger'); ?>
                <?php do_settings_sections('_wcdpi_logger'); ?>
                <?php submit_button(); ?>

            <?php endif;?>

        <?php endif;?>

    </form>

</div>