<?php defined('ABSPATH') || exit; ?>

<div class="wrap">
    <div class="wcdpi-row">
        <div class="col-12">
            <div class="wcdpi-support-content-inner">
                <h1><?=__('Description', 'woo-dp-internetmarke');?></h1>
                <p><?=__('The WooCommerce Deutsche Post Plugin plugin allows you to use your Deutsche Post Plugin account to purchase Plugin shipping labels comfortably, from the dashboard of your WordPress/WooCommerce shop. The purchased labels come with printed-on shipping addresses obtained from your WooCommerce orders. This can be done either in bulk (for multiple Orders) or individually (for single orders). You can also manually purchase labels, regardless of any WooCommerce orders.', 'woo-dp-internetmarke');?></p>
            </div>
        </div>
    </div>

    <div class="wcdpi-row">
        <div class="col-6">
            <div class="wcdpi-support-content-inner">
                <h1><?=__('Installation', 'woo-dp-internetmarke');?></h1>
                <p><?=__('The WooCommerce DP Plugin plugin can be installed via the plugin store integrated in Wordpress, which can be reached under "Plugins" in the main menu of the backend.', 'woo-dp-internetmarke');?></p>
                <p><?=__('After a search for "WooCommerce DP Plugin" the plugin will be displayed and can be added to Wordpress via the button "Install now".', 'woo-dp-internetmarke');?></p>
            </div>
            <div class="wcdpi-support-content-inner image">
                <img src="<?=WCDPI_IMG_URL . 'screenshot_installation.jpg';?>" alt="Installation">
            </div>
        </div>

        <div class="col-6">
            <div class="wcdpi-support-content-inner">
                <h1><?=__('Login', 'woo-dp-internetmarke');?></h1>
                <p><?=__('After installation, the access data for the Portokasse account must be entered.', 'woo-dp-internetmarke');?></p>
                <p><?=__('On the settings page "Services / Portokasse" the credentials for the Portokasse can be entered. After the settings have been saved, the plugin is activated and can be used.', 'woo-dp-internetmarke');?></p>
            </div>
            <div class="wcdpi-support-content-inner image">
                <img src="<?=WCDPI_IMG_URL . 'screenshot_login.jpg';?>" alt="Login">
            </div>
        </div>
    </div>

    <div class="wcdpi-row">
        <div class="col-6">
            <div class="wcdpi-support-content-inner">
                <h1><?=__('DP Shop', 'woo-dp-internetmarke');?></h1>
                <p><?=__('After activation, the full functionality of the plugin is unlocked.', 'woo-dp-internetmarke');?></p>
                <p><?=__('An independent label purchase can be performed via the "Plugin / DP Shop".', 'woo-dp-internetmarke');?></p>
                <p><?=__('To do this, add recipient / sender and select the desired product with individual settings in the next step. Then either a new shipping order can be prepared or created. By creating a shipping order, the selected Internet brand is purchased at the same time.', 'woo-dp-internetmarke');?></p>
            </div>
            <div class="wcdpi-support-content-inner image">
                <img src="<?=WCDPI_IMG_URL . 'screenshot_dp_shop.jpg';?>" alt="DP Shop">
            </div>
        </div>

        <div class="col-6">
            <div class="wcdpi-support-content-inner">
                <h1><?=__('WooCommerce Order', 'woo-dp-internetmarke');?></h1>
                <p><?=__('The WooCommerce DP Plugin plugin has an integration into the WooCommerce orders.', 'woo-dp-internetmarke');?></p>
                <p><?=__('On each detail page of a WooCommerce order, a new shipping order can be directly prepared or created within the "Plugin" box.', 'woo-dp-internetmarke');?></p>
            </div>
            <div class="wcdpi-support-content-inner image">
                <img src="<?=WCDPI_IMG_URL . 'screenshot_order.jpg';?>" alt="WooCommerce Order">
            </div>
        </div>
    </div>

    <div class="wcdpi-row">
        <div class="col-6">
            <div class="wcdpi-support-content-inner">
                <h1><?=__('Shipments', 'woo-dp-internetmarke');?></h1>
                <p><?=__('The plugin offers the possibility to display the shipping charges in an overview. On this overview various status changes as well as the download of internet brands can be carried out.', 'woo-dp-internetmarke');?></p>
                <p><?=__('If you hover over an entry in the table, different links appear for further functionality depending on the status.', 'woo-dp-internetmarke');?></p>
            </div>
            <div class="wcdpi-support-content-inner image">
                <img src="<?=WCDPI_IMG_URL . 'screenshot_shipments.jpg';?>" alt="Shipments">
            </div>
        </div>
    </div>

</div>