<?php
/**
 * Plugin Name: WooCommerce Deutsche Post Internetmarke
 * Plugin URI: https://shop.deutschepost.de/internetmarke
 * Description: WordPress and WooCommerce integration for the Deutsche Post Internetmarke service.
 * Version: 3.1.2
 * Author: STINA
 * Author URI: https://www.stina-global.com/
 * Requires at least: 4.7
 * Tested up to: 5.9
 * WC requires at least: 2.6
 * WC tested up to: 6.2
 */

namespace DeutschePost\Internetmarke;

defined('ABSPATH') || exit;

require_once __DIR__ . '/functions/wcdpi-core-functions.php';
require_once __DIR__ . '/functions/wcdpi-shipment-functions.php';
require_once __DIR__ . '/vendor/autoload.php';

// Define WCDPI_PLUGIN_FILE.
if (!defined('WCDPI_PLUGIN_FILE')) {
    define('WCDPI_PLUGIN_FILE', __FILE__);
}

// Define WCDPI_VERSION.
if (!defined('WCDPI_VERSION')) {
    define('WCDPI_VERSION', '3.1.2');
}

/**
 * Returns the main instance of the plugin to prevent the need to use globals.
 *
 * @return Internetmarke
 */
function Internetmarke() {
    // Only run in the Dashboard.
    if (!is_admin()) {
        return null;
    }

    return Internetmarke::instance();
}

// Global for backwards compatibility.
$GLOBALS['woo-dp-internetmarke'] = Internetmarke();